Windows Media Encoder

Microsoft® Windows Media™ Encoder 7 is an easy-to-use, powerful production tool for converting both live and prerecorded audio and video to Windows Media Format. With Windows Media Encoder, you can deliver live content in real time to client computers or to a file for later use. Real-time sources of audio and video content include anything that you can plug into your audio or video card, including a CD player, microphone, VCR, video camera, or video player. Stored sources are audio or video files. Users can view encoded Windows Media-based content with Microsoft Windows Media Player or with any application built using the Windows Media Format 7 Software Development Kit (SDK).

The following sections introduce conceptual information about the encoding process and provide steps for using Windows Media Encoder.

  • New features. Summarizes the enhancements made to Windows Media Encoder 7.

  • Hardware and software requirements. Provides a link to the Microsoft Web site where the latest hardware and software requirements are listed.

  • Supported formats. Summarizes the formats that are supported by Windows Media Encoder.

  • Understanding streaming media concepts. Explains multiple-bit-rate encoding, profiles, codecs, and more.

  • Using Windows Media Encoder. Provides detailed information about setting up an encoding session, and the process of encoding and distributing content.

  • Encoding content. Provides step-by-step procedures for encoding content and using the screen capture feature.

  • Distributing content. Discusses distribution options and explains how to set up a multicast.

  • Using advanced features. Provides information about advanced features, such as running multiple encoders on one computer, administering the encoder remotely, and automating the encoder.

  • Frequently asked questions. Provides a link to the World Wide Web where you can find suggestions for resolving issues that might arise when using the encoder.

  • Accessibility for people with disabilities. Provides information about features, products, and services that make Microsoft Windows® more accessible for people with disabilities.

  • Windows Media Encoder glossary. Provides definitions and terms related to Windows Media Encoder.
© 2000 Microsoft Corporation. All rights reserved.


New features

Windows Media Encoder 7 has been completely redesigned to include enhancements that are both powerful and easy to use. This section summarizes the enhancements made in this release.

Ease of use

  • A new graphical user interface makes it easier for you to produce Windows Media-based audio and video content, both for live and on-demand viewing.

  • The New Session Wizard and Profile Manager tools help you to set up an encoding session quickly and to create encoding profiles, which you can transfer to other computers that you use for encoding.

  • The visual feedback was improved to provide pre-encode and post-encode views of your content. You can also monitor real-time encoding statistics right from the encoder main window.

  • The ability to switch between input sources, such as between a main speaker and intermission video, was added, providing you with greater control over the production of live events.

Improved encoding capabilities

  • The deinterlacing feature helps you to produce high-quality output from interlaced National Television System Committee (NTSC) content.

  • A new inverse telecine feature supports higher-quality output from film sources.

  • The built-in support for high-motion content has improved, and the encoder can produce encoded content from an interlaced source that is 320 x 240 pixels and has a frame rate of 60 frames per second (fps).

  • New codecs have improved the quality for encoding content at 640 x 480 resolution at 30 fps. Also, the Windows Media Screen codec helps you create screen capture demonstrations for both live and on-demand scenarios.

  • New time compression technology means you can reduce the time it takes to play back encoded content.

  • Added support for the leading video capture cards, including the new Osprey-500WM.

Improved programmability, administration, and delivery

  • The Windows Media Format 7 SDK has expanded to enable third parties to develop applications that fully automate the encoder functionality. The automation interface enables automation of all of the encoder functions. Developers can also use the automation API to develop content production processes.

  • A new remote administration API, when used in conjunction with distributed COM (DCOM), enables administrators to control encoders residing on other clients on the local area network (LAN), such as in corporate and multimedia production environments. This API also enables Web developers to remotely administer their servers over the Internet with full encoder functionality.

  • The encoder is a redistributable component enabling application developers to include encoder support in third-party applications.

  • With improved unicast support, up to 50 players can connect directly to the encoder to receive Windows Media-based content.

Related topics

  • Understanding profiles

  • Setting up a session using New Session Wizard

  • Understanding sources and source groups

  • Configuring devices

  • Capturing and encoding screens


Hardware and software requirements

The hardware and software requirements for Windows Media Encoder differ depending on whether you are capturing a live event or converting an existing file to Windows Media Format. Live encoding requires a fast processor; file conversion does not.

Because encoding and compressing video and audio content requires a high percentage of a computer’s processing capability, it is recommended that you run the encoder on a separate computer from the one that is running Microsoft Windows Media Services.

The list of currently supported hardware and software is updated continually. For the latest requirements, see the Windows Media Technologies page at the Microsoft Web site.


Supported formats

You can use the following file formats with Windows Media Encoder:

Format | File name extensions
Windows Media | .wma, .wmv, .asf
Windows | .avi, .wav
Moving Picture Experts Group (MPEG) | .mpg, .mp3
Picture | .bmp


Understanding streaming media concepts

This section introduces concepts that are important to understand as you use Windows Media Encoder.

  • Understanding the differences between a Windows Media server and a Web server. Describes how streaming media from a Windows Media server is different from a Web server.

  • Understanding intelligent streaming and multiple-bit-rate video. Explains how the encoder supports intelligent streaming.

  • Understanding sources and source groups. Defines source groups and explains how they are used in the encoder.

  • Understanding codecs. Describes each of the codecs included with Windows Media Encoder.

  • Understanding profiles. Describes the role profiles serve in this version of Windows Media Encoder.

  • Creating the best audio and video stream. Provides tips for improving the quality of your source material and for fixing flaws in files that have already been recorded.


Understanding the differences between a Windows Media server and a Web server

You can stream Windows Media-based content either from a server running Windows Media Services or from a Web server to a player, such as Windows Media Player. The server and player can be used either on the Internet or an intranet, and they can be separated by a firewall. Although a Windows Media server is designed specifically for streaming Windows Media-based content, a standard Web server is not. If you decide to use a Web server, you need to be aware of the differences in the way the content is delivered, which can affect the quality of the playback.

The method of sending data differs between a Web server and Windows Media server. A Web server is designed to send as much data as it can, as quickly as possible. This is the preferred method for sending packets containing static images, text, and Web page script, but it is not the best method for sending packets containing streaming media. Streaming media should be delivered in real time, not in large bursts, and the player should receive packets just ahead of rendering them.

The Windows Media server meters the delivery of packets according to feedback information it receives while sending a stream to a player. When a player receives packets in this way, the presentation is much more likely to be smooth. Because bandwidth use is controlled, more users can connect concurrently to your site and receive streams that are free of interruptions.

Web servers do not support multiple-bit-rate video. When a file streams from a Web server, the quality of the delivery is not monitored, and no adjustment to the bit rate can be made. Web servers cannot use the preferred delivery protocol, User Datagram Protocol (UDP), so delivery of a stream is more likely to be interrupted by periods of silence while the player buffers data. Live streaming and multicasting are also not possible with a Web server.

Related topics

  • Understanding profiles


Understanding intelligent streaming and multiple-bit-rate video

Intelligent streaming is a set of features in Microsoft Windows Media Technologies that automatically detects network conditions and adjusts the properties of a video stream to maximize quality. Because Windows Media Technologies is a client/server system, the server and the client communicate with each other to establish actual network throughput and automatically make a series of adjustments to maximize the quality of the stream. With intelligent streaming, users receive a continuous flow of content tailored to their connection speeds.

To take full advantage of intelligent streaming, you must encode your content using multiple bit rates. To encode content at multiple bit rates, you create a single Windows Media Format stream or file containing multiple streams (audio, video, and script) that are encoded at different bit rates. When a multiple-bit-rate Windows Media file or live stream is received by a player, only one of the video streams is played: the one that is the most appropriate for current bandwidth conditions. The process of selecting the appropriate stream is handled by the Windows Media server and Windows Media Player and is completely invisible to the user.

Windows Media Encoder provides predefined multiple-bit-rate profiles, making encoding content for multiple bit rates an easy process. You can also create your own multiple-bit-rate profiles using Profile Manager.

Note Web servers do not support multiple-bit-rate video.


Understanding sources and source groups

With Windows Media Encoder, you can encode content from three different sources: audio, video, or script. You can capture audio and video from a card installed in your computer or from a file. And you can type scripts directly in the main window of the encoder during an encoding session.

The combination of audio, video, and script sources is known as a source group. A source group represents the stream that is displayed in a player. Although only one source group streams at a time, as you encode, you can switch between source groups to stream different content. For example, before broadcasting a live event, such as company meeting, you can set up source groups for the main event as well as for welcome, intermission, and goodbye videos. When you broadcast the event, you could start with the welcome source group, switch to the main speaker when appropriate, switch to the intermission source group during a break, and then switch to the goodbye source group when the event finishes.

A source group must consist of at least one audio source; it can also include one video source and one script source. You can add an unlimited number of source groups to an encoding session, either before or after encoding has begun, but they must contain the same combination of source types (audio, video, and script). You can use capture cards only once. For example, let’s say that you create two sources. One source is a live event in which a speaker is introducing a new video. The second source is the video. When setting up the sources, you would need a separate card for each one.

A script can be either a URL or a caption. A URL is the path to a Web page; a caption is a text string. When a player receives a script, it transmits it to an application that can run the command. URLs are transmitted to the Web browser, and captions are displayed in a player. When a URL is inserted into a stream, the default browser opens and the requested URL loads into the browser. If you have embedded the player within a browser, the requested URL replaces the player, and you cannot view the rest of the stream. You can get around this either by displaying the requested URL in a separate frame in the same browser instance or by opening an additional instance of the browser on your screen.

When you set up an encoding session, the New Session Wizard helps you create three source groups. To add more source groups, use the Session Properties dialog box.

Related topics

  • Editing your session configuration

  • Understanding looping


Understanding looping

Looping is a feature of Windows Media Encoder where file-based content is played repeatedly until encoding is complete. Looping ensures that you have no interruption in the stream as a result of reaching the end of a file before completing a broadcast or capture session.

Looping is available for broadcast and capture scenarios. In a broadcast scenario, looping is applied automatically when one of your source groups is a file. In a capturing scenario, looping is applied automatically when you have a configuration that includes multiple source groups. In both cases, looping is applied to only the active source group.

Looping is not available for file-conversion scenarios or when you are sourcing content from an .mpg file. Looping is also not invoked when you use the time compression feature to accelerate or decelerate the playback of your content.

Related topics

  • Understanding sources and source groups

  • Applying time compression to your content


Understanding codecs

Audio and video content can consume a lot of bandwidth on a network when it is streaming. By compressing the content, it can be broadcast over common Internet bandwidths. You can compress content by applying compression algorithms to the data, taking into account the desired output quality and available bandwidth. Before the stream is played on a player, it is decompressed using decompression algorithms. These compression and decompression algorithms are called codecs.

Codecs are designed to compress a stream to a certain bit rate. The target bit rate determines the amount of compression applied. Codecs that do not compress source content as much produce content that usually sounds and looks richer and more dynamic, but requires more bandwidth to stream.

The following list provides more detailed information about the codecs available to you when using Windows Media Encoder profiles:

  • Microsoft Windows Media Audio version 7.0 codec. Use to encode most audio streams. It provides unmatched audio quality for Internet narrowband streaming and high-fidelity downloadable music. Improvements in quality over previous codecs were made at all data rates from 16 kilobits per second (Kbps) to 192 Kbps. This latest Windows Media Audio codec supports content encoded with Windows Media Audio version 2.0.

  • Sipro Labs ACELP codec. Provides excellent voice compression at low bit rates. This codec comes with several audio formats depending on the network bandwidth you choose.

  • Microsoft Windows Media Video version 7.0 codec. Use for most encoding scenarios. It supports a wide variety of network bandwidths and enhances video quality for broadband Internet users. It supports multiple-bit-rate profiles and delivers TV-quality compression at 700 Kbps.

  • Microsoft MPEG-4 version 3.0 codec. Included with Windows Media Encoder version 4.0.

  • ISO MPEG-4 video codec version 1.0. Based on the International Standards Organization (ISO) MPEG-4 standard. You can use this codec to encode content produced by many consumer electronics devices, such as digital video cameras and cellular phones.

  • Microsoft Windows Media Screen version 7.0 codec. This screen capture codec enables lossless streaming of computer screen images at data rates as low as 15 kbps. You can use it for on-demand training, software demonstrations, and helpdesk applications. It is well suited for capturing screens in productivity applications, such as Microsoft Word, Excel, and Visual Studio®. Windows Media Screen codec is fully optimized for both streaming and download scenarios and makes use of Digital Rights Management (DRM) technology to encrypt the encoded screen content. It is included with Windows Media Player 7.

    Note To encode audio and video content for Windows Media Encoder 4.0, use the Windows Media Audio version7.0 codec and the MPEG-4 3.0 codec.

For more information about Windows Media compression technology, see the Windows Media page at the Microsoft Web site.


Understanding profiles

A profile is a collection of properties tailored to the type of content being encoded, the audience, and the intended distribution (file or broadcast). The properties stored in a profile include: the audio and video quality, connection speed for the intended audience, available bandwidth, and appropriate codecs. The use of profiles simplifies the process of setting up an encoding session.

You can use three kinds of profile when encoding:

  • System profile. A profile that is installed with the encoder and cannot be changed or deleted. Many system profiles are installed with the encoder, including multiple-bit-rate profiles, which are based on the most common encoding scenarios. By using Profile Manager, you can copy a system profile and then edit it according to your needs, creating a custom profile.

  • Custom profile. A profile that you create with Profile Manager. You can edit and delete custom profiles. They are saved as files with a .prx file name extension in the \Program Files\Windows media components\Encoder\Profiles folder. You can reuse custom profiles on multiple computers running Windows Media Encoder by copying the .prx files to them.

  • Session profile. When you create an encoding configuration, a session profile is automatically saved as part of the Windows Media Encoder configuration file, which has a .wme extension. It is only available for the current session and gets used when the .wme file specifies a profile that does not exist on the current computer—for example, when the custom profile file is deleted or when the .wme file is used on another computer running Windows Media Encoder that does not contain the custom profile. Session profiles are not listed in Profile Manager, New Session Wizard, or in the New Session dialog box. They are indicated on the Monitor panel and in the Session Properties dialog box as Session. You cannot edit or view session profiles or use them to create another session.

    Note If you change a profile after saving the encoding configuration and then copy the configuration to another computer, the session profile will not contain the changes. To ensure that your custom and session profiles remain synchronized, either copy the custom profiles to each computer that you plan to use for encoding or resave the .wme file to include any profile changes before moving it to another computer.

Profile Manager is the tool for creating, editing, and deleting profiles. It is available from the Tools menu or the New Session Wizard in Windows Media Encoder. For more information about Profile Manager, see the Profile Manager Help.

Related topics

  • Understanding intelligent streaming and multiple-bit-rate video

  • To access Profile Manager

  • To access Help for Profile Manager

  • To create a profile


To access Profile Manager

  • On the Tools menu, click Manage Profiles.

Related topics

  • Understanding profiles


To access Help for Profile Manager

  1. On the Tools menu, click Manage Profiles.

  2. Click Help.

Related topics

  • Understanding profiles


To create a profile

  1. On the Tools menu, click Manage Profiles, and then click New.

    -or-

    On the Profile Selection page of the New Session Wizard, click Create and Manage Profiles, and then click New.

  2. In Name of profile, type a name for the profile.

  3. Click Video, and then click Compressed.

  4. In Description, type a description for the profile (optional), and then click Next.

  5. Select the audience or audiences that you want the profile to support, and then click Next. Selecting more than one audience creates a multiple-bit-rate profile.

  6. In Audio, select the Windows Media Audio codec and appropriate bit rate.

  7. In Video, select the Windows Media Video codec and appropriate video size. Click Next.

  8. In Frame rate, Key frame interval, and Image quality, enter the appropriate information, and then click Next.

  9. Review the settings, click Finish, and then click Close.


To create a PAL profile

  1. On the Tools menu, click Manage Profiles, and then click New.

    -or-

    On the Profile Selection page of the New Session Wizard, click Create and Manage Profiles, and then click New.

  2. In Name of profile, type a name for the profile.

  3. Click Video and then click Compressed.

  4. In Description, type a description for the profile (optional), and then click Next.

  5. Select the audience or audiences that you want the profile to support, and then click Next. Selecting more than one audience creates a multiple-bit-rate profile.

  6. In Audio, select the Windows Media Audio codec and appropriate bit rate.

  7. In Video, select the Windows Media Video codec.

  8. In Video size, select 352 x 288 (CIF). Click Next.

  9. In Frame rate, type 25.

  10. In Key frame interval and Image quality, enter the appropriate information, and then click Next.

  11. Review the settings, click Finish, and then click Close.

Related topics

  • Understanding profiles


Creating the best audio and video stream

The quality of the stream you create depends upon the quality of the source material you start with. This section provides simple tips for creating the best possible video and audio as well as tips for reducing the impact of flaws in video that has already been shot.

Related topics

  • Creating and improving video

  • Compensating for flaws in video

  • Creating and improving audio


Creating and improving video

Regardless of the type of source material you are using—live music, prerecorded film, or a home video—the quality of the content you stream cannot be any better than the quality of the source. This section provides information about manipulating background, lighting, and your subject's clothing to improve the quality of your video.

  • Background. If possible, use a low-motion background when recording video. If you need to record against a moving background, try reducing the depth of field to help reduce the amount of detail in the background. Reducing the depth of field or shortening the area in focus softens the background and helps reduce the amount of data that changes from frame to frame. To reduce the depth of field and make the background go out of focus, use a lower level of light and move the subject closer to the lens or move the subject farther away from the lens and use a telephoto lens to zoom in.

  • Lighting. Provide adequate lighting; use soft light, diffuse light, and consistent light levels. A certain amount of contrast is necessary for lighting a subject, but avoid direct, high-contrast lighting. For example, when recording a face lit by strong sunlight from the side, the facial features in the shadow can be lost on video.

  • Clothing. Use clothing colors that complement your subject's skin tone and that are sufficiently different from the background and other overlapping objects. Avoid bright colors, which tend to bleed or spread outside an object. Also avoid stripes, which might cause moiré patterns, especially when the subject is moving slowly.


Compensating for flaws in video

Ideally, video producers have complete control over production elements such as shot selection, lighting, and video format. But in many cases, they have to shoot in harsh sunlight using an inferior video format. Or, producers might have to use a videotape that is either inadequate or unsuitable for streaming. This section includes some common flaws that appear in video and tips for dealing with them.

  • Oversaturation. Occurs when colors in a video bleed outside the edges of objects or smear when an object moves. You can often fix oversaturation before capturing video by adjusting your capture card's saturation setting to a lower level. Saturation is the amount of color in the image. Too little saturation produces images that can appear black and white. Too much saturation produces colors that appear artificially bright.

  • Too bright or too dark. If a picture is extremely bright or dark, the recording can be beyond repair. You can recover a picture by adjusting the following properties for your capture card:
    • Brightness, to raise or lower the video level.

    • Contrast, to optimize the number of shades of gray or levels of luminance, also known as the grayscale.

By raising the video brightness setting and optimizing the grayscale, you can correct a dark picture. However, in doing so, you increase video noise because noise is most noticeable in dark areas of an image. It is possible to partially hide the noise by increasing the contrast. For more information about capturing video, see your capture card documentation.


Creating and improving audio

As with video, the quality of your source content affects the quality of the final compressed audio stream. This section provides tips for improving the quality of your audio.

  • Ambient noise. Sound reflects off hard surfaces, such as walls and windows. Computers, air conditioning, and street traffic can create additional ambient noise. Use the following tips to reduce the amount of ambient noise in your audio:
    • Soften hard surfaces by hanging curtains or tapestries on the walls. Large rugs make excellent sound dampeners.

    • Turn off computers, fans, and other machines in the room. If you can, also turn off the heating, ventilation, and air conditioning system.

    • Use an interior room that is isolated from street noise. If the room has a persistent low rumble, you can reduce it to some extent by using equalization on an audio mixer. You can also use the roll-off switch, if your microphone has one.
  • Microphone usage. Use the following tips to ensure the best recording when using a microphone:
    • Point the microphone facing out, away from the person’s clothing. Make sure clothing does not cover the front of the microphone and the speaker’s mouth isn't too close to it. High-velocity air from a person exhaling can cause loud pops in microphones that do not have pop filters built into them. Small lavaliere microphones are designed to be clipped to a tie and have little or no protection against pops and wind.

    • Eliminate microphone noise. Microphone noise is an artificial sound that is introduced when an object touches the microphone. When placing a microphone, make sure that it will not be bumped. Remind speakers who will be holding a microphone not to tap pencils and rings against it or play with the cable. Leave the front of the microphone exposed. Holding the head of a microphone introduces noise and can cause feedback if the microphone is used in a public address system.


Using Windows Media Encoder

You can use Windows Media Encoder to encode a stream and distribute it as a live broadcast event or save it to a file for later distribution. Common scenarios for using the encoder include:

  • Converting existing audio or video files to Windows Media files.

  • Capturing a live event and either converting the captured stream to a file for later use or broadcasting the event live. When broadcasting the event, you can stream it to a server running Windows Media Services or have up to 50 players connect directly to the computer that is running the encoder.

  • Developing a custom encoder application using a powerful automation API. With the Windows Media Encoder 7 SDK, a developer using C++, Microsoft Visual Basic®, or a scripting language can capture multimedia content and encode it to a Windows Media file or stream. For more information about creating an encoder application, see the Windows Media Encoder 7 SDK.

The topics in this section describe the process for setting up an encoding session, encoding the content, and then distributing the content.

Related topics

  • Using the Windows Media Encoder user interface

  • Setting up an encoding session

  • Encoding content

  • Distributing content


Using the Windows Media Encoder user interface

The main window of the encoder has five panels and one window that provide information about your encoding session, as shown in the following figure.

Encoder main window

The panels that are displayed when you encode depend on the kind of content being encoded, the number of source groups set up for the current session, and your personal preference. You can display additional panels or hide the ones that are displayed. Any changes you make to the display are saved between sessions.

Each area of the main encoder window is explained in the following sections.

Related topics

  • About the Sources panel

  • About the Audio panel

  • About the Video panel

  • About the Monitor panel

  • About the Script panel

  • About the Control panel


About the Sources panel

The Sources panel contains separate buttons for each source group you create. To activate a source group during an encoding session, click the appropriate source group button.

Related topics

  • To display or hide a panel

  • Using the Windows Media Encoder user interface


About the Audio panel

The Audio panel contains controls for monitoring and adjusting the volume of the audio stream you are encoding. The controls include:

  • Recording-level meter. Use to view a visual representation of the sound level of your content as it is encoded. As the sound level increases, the color of the meter changes from green to yellow to red. Recording at too high (mostly in the red) or too low (mostly in the green) of a level will give you unsatisfactory results. For best results, try to keep your recording level constant.

  • Recording-level control. This control is similar to the master recording-volume control available in the mixer application that comes with your audio card. Use it to adjust the audio level of the content you are encoding. When you adjust this control in the encoder, the control in your mixer application is adjusted simultaneously. If your audio card drivers do not support a master recording-volume control, this control is not available.

  • Mute button. Use to silence the audio track while encoding. Your capture card determines the availability of this button. If your card does not have a mute control, the Mute button on the encoder is not available. To determine whether your card contains a mute control, double-click the Volume icon in the lower-right corner of your screen and select the recording properties.

  • Mixer button. Use to adjust the volume for various inputs, including camera, microphone, and CD. You can also use the master control to adjust the volume of all inputs. Clicking the Mixer button launches the recording mixer application that comes with your capture card. The Mixer button is available only if you have selected an audio device.

Related topics

  • To display or hide a panel

  • Using the Windows Media Encoder user interface


About the Video panel

The Video panel displays the content you are encoding. Depending on the type of content you are encoding, you can customize the display to show just the pre-encoded content, the encoded content, or both.

You cannot view pre-encoded content in the Input area when:

  • You are capturing a screen.

  • You are using the deinterlacing feature with .avi or .mpg files.

  • You are using a Windows Media file with a .wmv or .asf extension as your source, and it has the same properties as the output.

  • You are using a video capture card that does not support the previewing of an image before it is encoded.

You cannot view encoded content in the Output area when:

  • You are using a screen capture profile or uncompressed profile.

  • You are using a Windows Media file with a .wmv or .asf extension as your source, and it has the same properties as the input.

Note The video shown in the Output area might look blockier than it does when played on Windows Media Player because Windows Media Player contains deblocking filters, which are not available in the Output area. The blockiness is normal and does not affect the quality of the encoded content.

If you are encoding a video for multiple bit rates, you can check the quality of it at each bit rate by selecting the desired bit rate from the Preview Output box. This box contains only the video bit rates, not the bit rate for the entire stream (audio, video, and script).

Related topics

  • To display or hide a panel

  • Using the Windows Media Encoder user interface


About the Monitor panel

The Monitor panel consists of three tabs, each containing status information about the encoding session. The General tab displays information such as the devices you are encoding from, the profile being used, and the number of frames per second being encoded. The Display Information tab displays any descriptive information you added (for example, title, copyright, and author). If you are distributing content through a unicast transmission, the Connections tab displays a list of the Internet Protocol (IP) addresses currently connected to the computer running the encoder.

Related topics

  • To display or hide a panel

  • Using the Windows Media Encoder user interface


About the Script panel

The Script panel is where you type a URL or caption that is inserted into the stream you are encoding. This panel is available if you enabled script as a source type when you set up the session.

Related topics

  • To display or hide a panel

  • Using the Windows Media Encoder user interface


About the Control panel

The Control panel is where you start and stop encoding and manually control the archive during a broadcast. It contains several indicators that provide the status of the encoding session.

The Error Indicator Encoding error indicator button is displayed when an error occurs during an encoding session. Click this button to display the error log. When you start the encoder again, the Error Indicator button does not appear.

The status line status line changes color based on the encoding status. The status line is gray when the encoder is idle. It changes to green during a broadcast, to yellow when the encoder is starting or stopping, to black when the encoder is running, and to red when an error occurs.

The progress meter progress meter shows the progress of a file conversion or indexing process.

Related topics

  • To display or hide a panel

  • Using the Windows Media Encoder user interface


To display or hide a panel

  • On the View menu, click the panel you want to display or hide.

Related topics

  • Using the Windows Media Encoder user interface


Changing the language setting

By default, the language on the encoder interface matches the settings in the Regional Options dialog box in Microsoft Windows Control Panel. Regional options are what control the number, time, and currency formats that are used on your computer. You can change the default language for the encoder, which will not affect the language and other regional option settings in any other application on your computer.

Related topics

  • To change the language setting


To change the language setting

  1. On the Help menu, click Preferences, and then click the Language tab.

  2. In User Interface Language, select the desired language, and then click OK.

Note You must close and restart Windows Media Encoder before the language setting will take effect.

Related topics

  • Changing the language setting


Setting up an encoding session

Before encoding content, you must set up an encoding session. The easiest way to set up an encoding session is to use the New Session Wizard. The wizard is available from the Welcome screen (if enabled) that is displayed when you first open the encoder application, or from the Session menu in the main encoder window. As you run the New Session Wizard, you are asked to:

  • Specify the kind of encoding to do. The three options available are: broadcast a live event, capture content from an attached device, or convert an existing file to Windows Media Format.

  • Specify source types and source groups. Possible source types are audio (always selected), video, and script. You can also create up to four source groups for a broadcast encoding session, for example, live, welcome, intermission, and goodbye source groups. All source groups in a session must have the same combination of source types.

  • Configure input devices (optional). After selecting the input devices, you can set the properties for each one. You can set some properties to apply to all source groups and others to apply to an individual source group.

  • Add descriptive information (optional). You can add descriptive information about the encoded content (title, author, copyright, rating, and description). This information is displayed when the stream is viewed in Windows Media Player.

  • Choose a profile. Select an existing profile or use Profile Manager to create a profile that better matches the encoding requirements of your encoding session. Only profiles that match the source types (audio, video, and script) selected for your current session are available.

  • Choose the distribution method. Select whether to broadcast the content or encode it to a file. If you choose to broadcast the content, specify the port through which a connection can be established. You can also choose to archive a copy of the broadcast for later use.

Once your encoding session is set up, you are ready to encode content. You can save session settings to a configuration file either before or after you encode, and then load the session at a later date to reuse the settings. Session files are saved with a .wme extension. Windows Media Encoder no longer supports .asd files. If you attempt to load an .asd file, you will be asked to create a .wme file.

Note Another way to set up an encoding session is using the New option on the Session menu. As a minimum, you must provide the source type, input device, profile, and output information.

Related topics

  • Setting up a session using the New Session Wizard

  • Opening an existing session

  • To save a session


To set up a session using the New Session dialog box

  1. On the Session menu, click New, and then click the Sources tab.

  2. In Source types for this session, select the content source types you want to use in this session, and then click New.

  3. In Name, type a name for the source group.

  4. In Video, select a device, screen capture, or browse for a video file.

  5. In Audio, select a device or browse for an audio file. If you selected a video file as a source, the same file is listed as the audio source; you can select a different option for the audio source. Click OK.

  6. Click the Profile tab, and then select the profile you want to use for this session.

  7. Do one of the following:
    • Click Edit to change the selected profile.

    • Click Manage to create a new profile using Profile Manager.
  8. Click the Output tab, and then do one of the following:
    • To broadcast the content from this session, select the Broadcast encoded output check box, and then either specify a port or click Find Free Port.

    • To archive a copy of the broadcast, select the Archive to file check box, and then enter the name and location of the archive file.

    • To encode to a file, select the Encode to file check box, and then enter the name and location of the file. (Encode to file is displayed when Broadcast is cleared.)

Note This procedure includes the steps required to set up a session with only the minimum configuration. For more information about configuring additional settings, see Related topics.

Related topics

  • Editing your session configuration

  • Encoding content


To save a session

  1. On the Session menu, click Save As.

  2. In File name, enter a name and location for the file, and then click Save.

Related topics

  • Setting up an encoding session


Setting up a session using the New Session Wizard

The New Session Wizard walks you through the steps necessary to set up three of the most common encoding scenarios. You can choose to encode immediately after you complete the wizard, or wait and begin encoding content manually. The three common encoding scenarios are:

  • Broadcast a live event from attached devices or computer screen. Select this option to capture audio or video from devices installed on your computer or to capture computer screens and then broadcast a live event. You can broadcast up to three other files with a main event, for example: welcome, intermission, and goodbye content. To add other source groups to the session, you must use the Session Properties dialog box.

  • Capture audio or video from attached devices or computer screen. Select this option to capture audio or video from devices installed on your computer or to capture computer screens and then convert the captured content to a Windows Media file for later distribution. Windows Media Encoder accommodates any capture devices that support Video for Windows or Windows Driver Model drivers.

  • Convert an audio or video file into a Windows Media file. Select this option to convert an audio or video file into a Windows Media file for later distribution.

If you need to change session properties, you must either run the New Session Wizard again or use the Session Properties dialog box. If you want to open and use the session again, save your settings in an encoder configuration file with a .wme extension.

Related topics

  • Encoding content

  • To open the New Session Wizard

  • To convert a file using the New Session Wizard

  • To capture from devices to a file using the New Session Wizard

  • To set up a live broadcast using the New Session Wizard

  • Editing your session configuration

  • To save a session


To open the New Session Wizard

  • If you have just launched Windows Media Encoder, on the Welcome screen, click Broadcast, capture, or convert a file using the New Session Wizard.

-or-

On the Session menu, click New Session Wizard.

Related topics

  • Setting up a session using the New Session Wizard


To set up a live broadcast using the New Session Wizard

  1. Open New Session Wizard, and then click Broadcast a live event from attached devices or computer screen. If you want encoding to start after you complete the wizard, select the Begin broadcasting when this wizard finishes check box, and then click Next.

  2. If you want to encode video, select the Video check box, and then click the arrow to select from the list of capture devices.

  3. In Audio, click the arrow to select from the list of capture devices, and then click Next. Audio is always selected.

  4. Specify a port for broadcasting or click Find Free Port, and then click Next.

    Note A Windows Media server connects with the encoder through Hypertext Transfer Protocol (HTTP) , which is based on Transmission Control Protocol/Internet Protocol (TCP/IP). HTTP enables content to stream through firewalls.

    Windows Media Encoder no longer supports the Media Stream Broadcast Distribution (MSBD) protocol. If you configured your Windows Media server to use MSBD, you must reconfigure it to use HTTP.

  5. Select an existing profile that is best suited to your content; use the profile description to help you decide.

    –or-

    Click Create and Manage Profiles to create a profile.

    Note Click Edit to change the settings of an existing profile.

  6. To create an archive file of the broadcast, select the Archive a copy of the broadcast check box, and then enter a file name and location for the file. Click Next.

  7. Do one of the following, and then click Next.
    • To broadcast the main event without additional content, select the No, I want to broadcast from my selected devices only check box, and then proceed to step 8.

    • To broadcast the main event with additional content, select the Yes, I want to add welcome, intermission, and goodbye video files check box.
  8. Enter the name and location of the video files you want to include, and then click Next.

  9. (Optional) In Title, Author, Copyright, Rating, and Description, enter information about the content, and then click Next. The information you add is displayed in Windows Media Player when the content is viewed.

  10. Review the summary of your selections, and then do one of the following:
    • Click Back to modify a session.

    • Click Finish to complete the session configuration.

Related topics

  • Setting up a session using the New Session Wizard

  • Encoding content


To capture audio or video from devices to a file using the New Session Wizard

  1. Open the New Session Wizard, and then click Capture audio or video from attached devices or computer screen. If you want start encoding after you complete the wizard, select the Begin capturing when this wizard finishes check box, and then click Next.

  2. If you want to encode video, select the Video check box, and then click the arrow to select from the list of capture devices.

  3. In Audio, click the arrow to select from the list of capture devices, and then click Next. Audio is always selected.

  4. In Windows Media file to create, enter the file name and location that you want to create, and then click Next.

  5. Select how you want to distribute the file (through a Windows Media server, Web server, or locally on a computer), and then click Next.

  6. Select an existing profile that is best suited to your content; use the profile descriptionto help you decide.

    -or-

    Click Create and Manage Profiles to create a profile.

    Note Click Edit to change the settings of an existing profile.

  7. (Optional) In Title, Author, Copyright, Rating, and Description, enter information about the file, and then click Next. The information you add is displayed in Windows Media Player when the content is viewed.

  8. Review the summary of your selections, and then do one of the following:
    • Click Back to modify a session.

      –or-

    • Click Finish to complete the session configuration.

Related topics

  • Setting up a session using the New Session Wizard

  • Encoding content

  • Understanding differences between a Windows Media server and a Web server


To convert a file using the New Session Wizard

  1. Open the New Session Wizard, and then click Convert an audio or video file into a Windows Media file. If you want start encoding after you complete the wizard, select the Begin converting when this wizard finishes check box, and then click Next.

  2. In File to convert, enter the name of the file you want to convert.

  3. In File to create, enter the name of the Windows Media file you want to create, and then click Next.

  4. Select how you want to distribute the file (through a Windows Media server, Web server, or locally on a computer), and then click Next.

  5. Select an existing profile that is best suited to your content; use the profile description to help you decide. Click Next.

    -or-

    Click Create and Manage Profiles to create a new profile, and then click Next.

    Note Click Edit to change the settings of an existing profile.

  6. (Optional) In Title, Author, Copyright, Rating, and Description, enter information about the file, and then click Next. The information you add is displayed in Windows Media Player when the content is viewed.

  7. Review the summary of your selections, and then do one of the following:
    • Click Back to modify a session.

    • Click Finish to complete the session configuration.

Related topics

  • Setting up a session using the New Session Wizard

  • Encoding content

  • Understanding differences between a Windows Media server and a Web server


Opening an existing session

You can save session settings to a .wme file so that you can open and reuse the session at a later date. You can open the saved session either from the Welcome screen (if enabled) or from the Session menu.

Note The Welcome screen automatically appears when you start the encoder. If the encoder is already running, you can access the Welcome screen from the Help menu.

Related topics

  • Setting up an encoding session

  • To open an existing session


To open an existing session

  1. On the Session menu, click Open.

    –or-

    On the Help menu, click Welcome, and then click Open an existing encoding session.

  2. In File name, enter the name and location of the session file you want to open. Session files have a .wme extension.

  3. Click Open.

Related topics

  • Opening an existing session


Editing your session configuration

When you complete the New Session Wizard, the settings you selected are collected in the Session Properties dialog box. You can use Session Properties to edit existing settings, access other settings, or set up a new session. If you prefer to create an encoding session using Session Properties, you are required to provide the source type, input device, profile, and output information at a minimum.

Some of the features available in Session Properties include:

Optimizing the quality of the final video by using deinterlace or inverse telecine techniques.

Related topics

  • Adding source groups to your broadcast

  • Inserting scripts

  • Configuring devices

  • Archiving content

  • Clipping noise from video before encoding

  • Optimizing the quality of your video encoding

  • Editing display and attribute information

  • Changing the selected profile

  • Changing the output settings

  • Indexing your content

  • Setting up an encoding session


Adding source groups to your broadcast

If you use the New Session Wizard to set up a broadcast session, you can create a maximum of three source groups. If you need additional source groups, either before or after encoding begins, you can add them in the Session Properties dialog box. Using Session Properties, you can add as many source groups as necessary. All source groups in a session must have the same combination of source types (audio, video, and script). You can use audio and video devices for only one source group.

Related topics

  • To add source groups to your broadcast


To add source groups to your broadcast

  1. On the Session menu, click Properties.

  2. Click the Sources tab, and then click New.

  3. In Name, type a name for the source group.

  4. In Video, select the video device or screen capture you want to use, and then do one of the following:
    • Click Configure to configure the properties for the selected device.

    • Click Browse for file, and then enter the name of the file you want to use as an input source.
  5. In Audio, select the desired audio device, and then do one of the following:
    • Click Configure to configure the properties for the selected device.

    • Select Browse for file, and then enter the name of the file you want to use as an input source.
  6. Select the archive option (Record, Pause, or Stop) for the source group. If you did not choose to create an archive file when you created the session using the New Session Wizard, the archive options are unavailable. You must run the wizard again to make the archive options available for the source group.

Related topics

  • Capturing and encoding screens

  • Adding source groups to your broadcast

  • Setting up a session using the New Session Wizard


Inserting scripts

Windows Media Encoder enables you to insert script into a stream while you are encoding. The scripts are saved as part of the stream. The encoder supports three types of scripts:

  • Captions. Free-form text strings that are displayed in Windows Media Player along with your other encoded content. In order for the captions to be visible, the Windows Media Player must have the Captions option selected. To turn captions on in Windows Media Player, on the View menu, click Now Playing Tools, and then click Captions.

  • URLs. When inserted into a stream, the URL opens the browser and takes the user to the specified address.

  • Custom script commands. A two-part command that consists of a type and a value. When the player receives the script command, it fires an event, such as launching a Web page with an embedded player.

Because these scripts are saved in the stream, they are not available for editing.

Inserting scripts into an encoding session requires that you use a profile that supports scripts. None of the system profiles installed with the encoder are configured to use scripts, but you can use Profile Manager to create your own.

Related topics

  • To create a profile that includes scripts

  • To set up a session that includes scripts

  • To insert a script


To create a profile that includes scripts

  1. On the Tools menu, click Manage Profiles, and then click New.

    -or-

    In the New Session Wizard, in the Profile Selection page, click Create and Manage Profiles, and then click New.

  2. In Name of profile, type a name for the profile.

  3. Click Video, click Script, and then click Compressed.

  4. In Description, type a description for the profile (optional), and then click Next.

  5. Select the audience or audiences that you want the profile to support, and then click Next. Selecting more than one audience creates a multiple-bit-rate profile.

  6. In Audio, select the Windows Media Audio codec and appropriate bit rate.

  7. In Video, select the Windows Media Video codec and appropriate video size.

  8. In Script, adjust the bit rate if necessary. The bit rate shown is based on the settings you have chosen while creating the profile. Click Next.

  9. In Frame rate, Key frame interval, and Image quality, enter the appropriate information, and then click Next.

  10. Review the settings, click Finish, and then click Close.

Related topics

  • Inserting scripts


To set up a session that includes scripts

  1. Using the New Session Wizard, create an encoding session. When selecting a profile, select one that includes scripts.

  2. After you create the session, on the Session menu, click Properties.

  3. Click the Sources tab.

  4. In Source types for this session, click Script.

  5. Click OK.

Related topics

  • Inserting scripts


To insert a script

  1. In Control panel, click Start to start encoding.

  2. Click the button that represents the kind of script you want to insert. You can insert a caption (text string), URL, or custom script.

  3. For a caption or URL, type the text or URL that you want to insert. For a custom script, enter the script type and value.

  4. Click Insert. The Total scripts entry on the Monitor panel increases with each script that you insert.

Related topics

  • Inserting scripts


Configuring devices

When you set up an encoding session, you must choose the devices that you want to use for encoding. You can use audio devices, video devices, or screen captures. After choosing devices, you can set their properties directly from the encoder. The properties for some of your devices, such as audio and video cards, are global and apply not only to all source groups in your encoding session but to all applications on your computer. (For example, brightness, contrast, capture dimensions, and audio mixer settings.) Screen capture properties apply only to individual source groups and can be different for each source group that is included in your encoding configuration.

You can configure audio and video device properties using the New Session Wizard, the Session Properties dialog box, or the Configure Devices option on the Tools menu. Screen capture properties are not available from the Configure Devices option on the Tools menu.

Note The devices must already be installed on your computer. You cannot use the encoder to add or remove hardware; use Control Panel instead.


Archiving content

When running the New Session Wizard, you have the option to archive a live event to a file for later use. You can archive the file to the computer running the encoder or to your Windows Media server. Archiving to the Windows Media server is the best solution when:

  • You want the archive to be available immediately for on-demand viewing.

  • The resources on your encoding computer are mostly being used for encoding.

  • You have more disk space available on your server than on your encoding computer.

If you choose to archive the broadcast, all the sources you used in the broadcast are archived automatically, but archiving all sources is not always desirable. For example, let’s say that one of the sources in your broadcast is an advertisement. To save disk space or to speed up the playback of the archived broadcast, you can archive only the live portion of the broadcast by turning off archiving when the ad is playing. This requires that you either set the archiving option individually for each source in your broadcast in the Session Properties dialog box or turn archiving on and off manually from the Control panel in the main encoder window.

Archiving is only available in conjunction with broadcasting.

Related topics

  • To set archive options for each source

  • To start and stop archiving manually

  • To archive files after the broadcast has started


To set archive options for each source

  1. On the Session menu, click Properties.

  2. Click the Sources tab, and then select the source that you want to archive.

    You must have configured the source to broadcast through a port and archive to a file.

  3. Click the Sources tab.

  4. Click Record to turn on automatic archiving.

    –or-

    Click Pause or Stop to turn off automatic archiving.

    You can override these settings from the encoder Control panel.

Related topics

  • Archiving content


To start and stop archiving manually

  1. If the archive controls aren’t already displayed, on the View menu, click Archive Controls.
    To | Do this
    Start archiving | Click Record. A new file is generated automatically and a number is appended to the current file name to create a unique name.
    Pause archiving | Click Pause.
    Stop archiving | Click Stop.

    Note Manual control of the archiving feature is available only when archiving is selected in the New Session Wizard or Session Properties dialog box. Using the manual archive controls overrides all automatic archive settings.

Related topics

  • Archiving content


To archive files after the broadcast has started

  1. On the Session menu, click Properties.

  2. Click the Output tab.

  3. Select the Archive to file check box to enable archiving.

  4. Type or browse for the archive file name.

  5. Click OK. To start archiving immediately, press Record and clear Manual.

Related topics

  • Archiving content


Clipping noise from video before encoding

When encoding audio and video, it is always advisable to start with the best possible source content. If your video includes wavy lines or other artifacts, you can use the Windows Media Encoder Video Clipping feature to trim noise from the edges of your video before you start to encode. You can also use Video Clipping to create a letterbox effect. This feature is only available in Session Properties.

Related topics

  • To clip noise from your video


To clip noise from your video

  1. On the Session menu, click Properties.

  2. Click the Sources tab, select a source group, and then click Change.

  3. Click the Video Clipping tab.

  4. Enter the number of pixels to trim from the top, bottom, left, and right sides of the video. If you are clipping content that is also being deinterlaced, the top clipping value must be evenly divisible by 2.

Related topics

  • Clipping noise from video before encoding


Optimizing the quality of your video encoding

Content can originate from a variety of sources: a digital source, such as Windows Media files with .avi, .wmv, or .wav extensions; an analog source, such as television; or from film.

The National Television Standards Committee (NTSC) defines video as analog data that is interlaced and broadcast at 30 frames per second (fps). Interlaced video is displayed using a half-resolution image known as a field and uses two video fields to make a single frame of video. Each field of video contains alternating lines of an image: field one displays the odd numbered lines and field two displays the even numbered lines. Interlacing saves bandwidth when the video is transmitted over the airways or on cable, but when interlaced content is transferred to a digital format, the quality suffers. Any content encoded from sources such as digital video cameras, VHS tapes, 8mm film, and cable television could be affected by the quality degradation. You can use Windows Media Encoder to deinterlace the content, filtering the alternate fields into two frames to achieve a smoother result.

Deinterlacing is not supported for:

  • A source that was not previously interlaced.

  • Capturing a live, uncompressed source.

  • Converting a Windows Media file with a .wmv extension to an .asf extension.

  • Content that has time compression applied.

Film that is produced by high-end video cameras, such as those used by television or movie studios, is shot at 24 fps. When put onto another medium such as a digital video disc (DVD) or videotape, extra fields are added to achieve the standard 30 fps required by NTSC or 25 fps required by Phase Alternating Line (PAL). The method of adding frames is called 3:2 pulldown and is performed in a telecine room. You can use Windows Media Encoder to remove the added fields of video and encode the image at 24 fps, resulting in a smaller file size and higher-quality image. The process of removing the extra frames is called inverse telecine. Inverse telecine is not supported for:

  • An NTSC source that was not previously telecined at 30 fps.

  • Capturing a live, uncompressed source.

  • Converting a Windows Media file with a .wmv extension to an .asf extension.

  • Content that has time compression applied.

Video optimization settings must be the same between source groups. If you have multiple source groups in your session configuration, make sure that each one uses the same video optimization setting. For example, if you have one source group that you want to deinterlace, you must deinterlace the other source groups as well. You must set the video optimization for each source group individually.

Related topics

  • To deinterlace video

  • To convert film-based content from 30 to 24 frames per second (inverse telecine)


To deinterlace video

  1. On the Session menu, click Properties.

  2. Click the Sources tab, select the source containing the video that you want to deinterlace, and then click Change.

  3. Click the Video Optimization tab.

  4. Click Deinterlace.

  5. If you are using multiple source groups, repeat steps 2 through 4 for each.

Note Use the deinterlace feature only with a video source that was previously interlaced. Make sure that Deinterlace is not selected when capturing screens.

Related topics

  • Optimizing the quality of your video encoding


To convert film-based content from 30 to 24 frames per second (inverse telecine)

  1. On the Session menu, click Properties.

  2. Click the Sources tab, select the source containing the video that you want to convert to 24 fps, and then click Change.

  3. Click the Video Optimization tab.

  4. Click Inverse telecine.

  5. If you are using multiple source groups, repeat steps 2 through 4 for each.

Note Use the inverse telecine feature only with a video source that was previously telecined with a frame rate of 30 fps. Make sure that Inverse telecine is not selected when capturing screens.

Related topics

  • Optimizing the quality of your video encoding


Editing display and attribute information

Both the display and attribute information are optional entries. Display information includes facts about your content such as the title, author, copyright, rating, and description. Users see this information in Windows Media Player when viewing your content.

Attributes contain information about the content that you want to include in the encoded stream such as the creation date, source file, editor’s name, and so on. You can extract these attributes by using search tools or other custom applications that are built using the Windows Media Format 7 SDK.

Related topics

  • To edit display information

  • To edit attributes


To edit display information

  1. On the Session menu, click Properties.

  2. Click the Display Information tab.

  3. In Title, Author, Copyright, Rating, and Description, type the appropriate information. These fields are optional.

  4. Click OK.

Related topics

  • Editing display and attribute information


To edit attributes

  1. On the Session menu, click Properties.

  2. Click the Attributes tab.

  3. Select the attribute that you want to edit, and then click Change.

    –or-

    Click New to create an attribute.

  4. Type a name and a value for the attribute, and then click OK.

Related topics

  • Editing display and attribute information


Changing the selected profile

If, after configuring your session and encoding some content, you decide that the selected profile is not meeting your needs, you can select a different one, edit the one you are using, or create a new one. If you are currently encoding content, you must wait until encoding is complete or stop the encoder before making any changes to the profile.

Note When you edit the current custom profile in the Session Properties dialog box, you will lose any changes you have made to other settings in that dialog box. To avoid this problem, edit the profile first before changing any other settings.

For more information about creating or editing profiles, see the Profile Manager Help.

Related topics

  • To change the selected profile


To change the selected profile

  1. On the Session menu, click Properties.

  2. Click the Profile tab.

  3. In Profile, select a profile from the list.

  4. To edit the current profile, click Edit.

    –or-

    To create a new profile, click Manage.

  5. Click OK.

Related topics

  • Changing the selected profile


Changing the output settings

The output of an encoding session is content that is either broadcast live or saved to a file. You specify the desired output when you configure the encoding session using the New Session Wizard. Once a session is configured, you can change the specified file, create an archive from a broadcast, and so on. The following list defines the types of changes you can make and when:

  • Before or after encoding, you can:
    • Change the output port for a live broadcast.

    • Select or cancel archiving to a file.

    • Change the name or location of the output file.
  • While encoding, you can:
    • Select or cancel archiving to a file.

    • Change the name of the archive file if you are not currently archiving.
  • While encoding, you cannot:
    • Change the port number.

    • Change from a broadcast session to an encode-to-file session.

Related topics

  • To change the output settings


To change the output settings

  1. On the Session menu, click Properties.

  2. Click the Output tab.

  3. Select the desired output. If you select Encode to file or Archive to file, type or browse for the output file name.

  4. Click OK.

Related topics

  • Changing the output settings


Indexing your content

Indexing enables you to make use of the fast-forward and rewind features of the player while viewing encoded content. Indexing is turned on by default whenever you archive or encode to a file. Indexing is not available for live broadcast scenarios.

Use the procedures in this section to turn the indexing feature on and off.

Related topics

  • To turn on indexing

  • To turn off indexing


To turn on indexing

  1. On the Session menu, click Properties.

  2. Click the Output tab.

  3. Select the Add index to file check box.

  4. Click OK.

Related topics

  • Indexing your content


To turn off indexing

  1. On the Session menu, click Properties.

  2. Click the Output tab.

  3. Clear the Add index to file check box.

  4. Click OK.

Related topics

  • Indexing your content


Encoding content

After you have set up a session, you can encode content. If you are broadcasting a live event, the stream begins shortly after you start encoding.

If you are encoding a session with multiple source groups, you can use the Sources panel to switch between the source groups to stream different content. If you want to insert scripts into a stream, use the Script panel.

If you are creating an archive of a broadcast, you can use the archive controls on the Control panel to pause and resume archiving while encoding, which helps you to remove portions of the broadcast that you do not want to appear in the archive file.

As you are encoding, you can use the Monitor panel to view status information about the session, including time elapsed, bandwidth, and disk space left on the computer.

If you are encoding a multiple-bit-rate stream, you can use the Video panel to test the different bandwidths. The topics in this section provide steps for encoding content.

Related topics

  • Setting up an encoding session

  • To start or stop encoding

  • To switch between multiple source groups

  • To insert a script

  • To set archive options for each source

  • To display or hide a panel


To start or stop encoding

To | Do this
Start encoding from the Control panel | On the Control panel, click Start. A message notifies you that encoding has started.
Start encoding from the command line | Click the Start button, and then click Run. Type wmenc session.wme /start where session.wme is the name of your configuration file. Use this command in conjunction with Windows Scheduled Tasks to run the encoder automatically.
Stop encoding | On the Control panel, click Stop. A message notifies you when encoding has stopped. A summary of the session results is available in the Encoding Results dialog box.

Related topics

  • Encoding content

  • Setting up an encoding session

  • To switch between multiple source groups

  • To insert a script

  • To set archive options for each source

  • To display or hide a panel


To switch between multiple source groups

  1. On the View menu, click Sources Panel.

  2. On the Sources panel, click the source group you want to start with, and then start encoding.

  3. To switch to a different source group, on the Sources panel, click the button for that source group.

    Note You can change the order in which source groups are displayed in the Sources panel. Open the Session Properties dialog box, click a source group, and then click Move up or Move down.

Related topics

  • Encoding content

  • Setting up an encoding session

  • Understanding sources and source groups

  • To start or stop encoding

  • To display or hide a panel


Capturing and encoding screens

The screen capture feature of Windows Media Encoder enables you to capture your entire desktop, individual windows, or a region of the screen and broadcast them or encode them to a file just as you would any other content. You can use the screen capture feature for:

  • Capturing from .avi files that were created with a third-party screen-capture utility.

  • Capturing directly from your desktop.

  • Capturing from a card that is connected to a scan converter device.

Note Artifacts can be introduced when an analog signal is run through a scan converter and converted to NTSC. These artifacts are amplified during encoding and can degrade the quality of the encoded video.

Because of the amount of data being manipulated and the CPU power necessary to compress it quickly, capturing screen images is a performance-intensive process. The power of your computer, the size of the screen being captured, the color depth of the display (256 colors, 16-bit, and so on), and the specified frame rate all have an effect on performance. Also, the quality of your encoded screen images can be affected by the amount of motion that occurs during the encoding process. The Windows Media Screen codec is designed specifically for capturing large areas that involve little movement. (Using the codec to capture a motion video, for example, will not give good results.)

Use the following guidelines to ensure that the screen image you capture will encode and play well:

  • Set your monitor to use a lower display size. For example, capturing at a 1024 x 768 yields more data than capturing at 640 x 480.

  • Set your monitor to use 256 colors or 16-bit color.

  • Use a profile that includes the Windows Media Screen codec.

  • Use a low frame rate in the profile.

  • Avoid multiple scene changes, such as opening and closing windows in rapid succession, during the capture.

  • Avoid changing the profile.

  • Capture screens or regions from the primary monitor only when using a dual-monitor scenario.

If you are capturing to a file, the main encoder window is minimized while the screen is being captured so you can monitor the encoding statistics and the input and output images. Restoring the window to its regular size stops the encoding session. If you do not want the encoder window to minimize while a screen is being captured, on the Tools menu, click Options, click the General tab, and then clear Minimize main window to capture screen.

Note If you are capturing a screen for broadcast and have selected a broadcast port, the encoder window does not minimize while the screen is being captured. Broadcasting a screen capture session overrides the Minimize during screen capture session, then stop on restore setting on the General tab.

Windows Media Encoder includes three system profiles that make use of the Windows Media Screen codec. Use them when capturing a screen directly from the encoder or when sourcing from files (such as .avi) that contain screen capture content. The three screen capture profiles are:

  • Screen capture (live) for dial-up modems (28.8 Kbps). This profile is designed for encoding on a wide range of computer systems and is tuned for real-time or live capture. A lower frame rate setting is used to improve performance during capture, which can be an issue on less capable computers. The target audience has a dial-up modem connection (28.8 Kbps), and the output video resolution will match the resolution of the source (for example, the entire screen, selected window, and so on).

  • Screen capture for dial-up modems (28.8 Kbps). This profile has a setting of 5 fps. It creates a smoother video capture but requires more processing power from your CPU. The target audience has a dial-up modem connection (28.8 Kbps) and the output video resolution will match the resolution of the source file or capture device.

  • 68Screen capture for e-mail and dual Integrated Services Digital Network (ISDN) (128 Kbps). This profile has a setting of 10 fps. The target audience has a connection of 100 Kbps or more. Use this profile with content intended for distribution by e-mail or local playback. The output video resolution will match the resolution of the source file or capture device.

For more information about creating a screen capture profile, see the Profile Manager Help.

Related topics

  • To create a screen-capture profile

  • To capture and encode a screen

  • Understanding profiles

  • Optimizing the quality of your video encoding

  • To encode an .avi file containing screen content


To create a screen-capture profile

  1. On the Tools menu, click Manage Profiles, and then click New.

    -or-

    On the Profile Selection page of the New Session Wizard, click Create and Manage Profiles, and then click New.

  2. In Name, type a name for the profile.

  3. Click Video, and then click Compressed.

  4. In Description, type a description for the profile (optional), and then click Next.

  5. Select the audience or audiences that you want this profile to support, and then click Next. Selecting more than one audience creates a multiple-bit-rate profile.

  6. In Audio, select the Windows Media Audio codec and appropriate bit rate.

  7. In Video, select the Windows Media Video codec and video size, and then click Advanced.

  8. In Buffer size, click Custom, and then type 10. Click OK, and then click Next.

  9. In Frame rate, type a number between 1 and 5. In Key frame interval, type 10. In Image quality, select the desired quality, and then click Next.

  10. Review the settings, and then click Finish.

Related topics

  • Capturing and encoding screens

  • Understanding profiles


To capture and encode a screen

  1. Set up a session using the New Session Wizard.

  2. When prompted to configure devices, select Screen Capture for the video device.

  3. Click Configure to choose the capture area and quality.

  4. In Capture Source, select the item that you want to capture. You can specify a specific window, the whole screen, or a region of the screen.

    If you select Window or Region of Screen, use the Region button to capture the exact area. The capture dimensions are set automatically when you point to the desired capture area. You can also set the dimensions manually.

    Note When capturing a window, if you enlarge the window so that it exceeds the output size specified in your profile, part of the window will not be captured. If you decrease the size of the window so that it is smaller than the specified output size, the excess area around the window will be black.

  5. When you are prompted to choose a profile, choose one that makes use of the Windows Media Screen codec. Using a profile that doesn’t use the Windows Media Screen codec results in a poor-quality encoding session.

  6. Provide the rest of the information required to complete the wizard, make sure the window or portion of the screen that you want to capture is on top, and then click Start.

Related topics

  • Setting up an encoding session

  • To create a screen-capture profile

  • Capturing and encoding screens

  • To capture and encode a screen using an existing session configuration file


To capture and encode a screen using an existing session configuration file

  1. On the Session menu, click Open.

  2. Select the .wme file containing the screen capture configuration that you want to use, and then click Open. Be aware of the following:

    When you capture a specific window, the title of the window and its coordinates are saved along with all the other configuration information in the .wme file. When you reload the .wme file for a subsequent screen-capture session, the encoder will look for a window that matches the stored title. If it doesn’t find one, it will capture a window that matches the stored coordinates.

    When you capture the entire desktop, the display size and color settings for your monitor are saved in the .wme file as part of the session configuration. If, after saving the configuration, you decide to change the screen size or color, you must create a new session to include these settings.

Related topics

  • Setting up an encoding session

  • To create a screen-capture profile

  • Capturing and encoding screens

  • To capture and encode a screen


To encode an .avi file containing screen content

  1. Set up a session using the New Session Wizard.

  2. Using the wizard, click Convert an audio or video file into a Windows Media file.

  3. Specify the source and destination files, and then click OK.

  4. When prompted to choose a profile, choose one that makes use of the Windows Media Screen codec.

  5. Provide the rest of the information required to complete the wizard, and then click Start to begin encoding.

    Note When capturing to .avi files using a third-party screen capture tool, use run-length encoding (RLE) compression or RGB uncompressed formats for files you plan to later convert using the encoder.

Related topics

  • Setting up an encoding session

  • Capturing and encoding screens

  • To create a screen-capture profile


Distributing content

As part of setting up an encoding session, you must specify how you plan to distribute the content. You have several options for distributing content:

  • Broadcast to a Windows Media server. You can set up a unicast or multicast transmission at the server for streaming the content to players.

  • Broadcast from the computer running the encoder to players. You can use Windows Media Encoder to support up to 50 unicast connections.

  • Save content to a file. You can distribute content to a Web server or for playback on local computers.

To broadcast content, you must specify the port through which the content streams. The Windows Media server or players can then connect to the content through the port, using HTTP. If the connection is over the Internet, the URL for connecting is http://IPaddress:portnumber. If the connection is over a local area network (LAN), the URL for connecting is http://encodercomputername:portnumber.

Related topics

  • Setting up an encoding session

  • Setting up a multicast


Setting up a multicast

If you are multicasting a Windows Media-based stream, you must generate a stream format file because it contains information that the player uses to decode and play the stream. For example, the types of media contained in the stream (audio, video, and script), the audiences, and the codecs used to encode it. The stream format file has an .asf extension.

You can use the encoder to create the stream format file, and the Windows Media Services Administrator on the Windows Media server to add the file to the list of supported stream formats on your multicast station.

Note If you are creating a new multicast station using the QuickStart Wizard, you must use the station properties to add the stream format file manually. The QuickStart Wizard does not recognize .asf extensions for stream format files.

The multicast station contains all of the information needed to deliver a Windows Media stream to a player, including the IP address, port, time-to-live (TTL), value, and so on.

For more information about creating and managing multicast stations, see Windows Media Services Help.

Related topics

  • To create a stream format file

  • To create a multicast station on your Windows Media server

  • To add a stream format file to a multicast station


To create a stream format file

  1. On the Tools menu, click Generate Stream Format File.

  2. In File name, type a name and location for the file, and then click Save.

  3. Copy the file to a unicast publishing point on your Windows Media server or make sure it is accessible using the Microsoft Media Server (MMS) protocol.

    Note If you change any of the settings in the encoder configuration, you must regenerate the stream format file. Remove the current Windows Media stream format file from the station on your Windows Media server, and then add the new one.

Related topics

  • Setting up a multicast

  • To create a multicast station on your Windows Media server

  • To add a stream format file to a multicast station


To create a multicast station on your Windows Media server

  1. Open your Windows Media server.

  2. In Windows Media Administrator, start the QuickStart Wizard.

  3. On the Specify a source for the stream object page, click Advanced Streaming Format (.asf) file, and then click Next.

  4. In Specify a source URL for the stream object, type mms://servername/filename.asf where filename.asf is the stream format file that you generated from the encoder, and then click Next.

  5. In Specify stream format information, type the physical path to the stream format file. For example, \\servername\directory\filename.asf or C:\pathname\filename.asf.

  6. Complete the remainder of the wizard.

  7. In Multicast ASF Programs and Streams, select the new stream, click Streams, and then click Properties.

  8. Click the Source/Destination tab, and then replace the URL pointing to the stream format file with the URL that is displayed on the Connections tab of the main encoder window. For example, http://servername:port.

Related topics

  • Setting up a multicast

  • To add a stream format file to a multicast station


To add a stream format file to a multicast station

  1. Open your Windows Media server.

  2. In Windows Media Administrator, select the desired program, click Streams, and then click New.

  3. Click the General tab, and then type a name and description for the stream.

  4. Click the Source/Destination tab, type the URL that is displayed on the Connections tab of the main encoder window, and then click OK. For example, http://servername:port.

  5. Click Stations, and then click Properties.

  6. In Stream Formats, click Add.

  7. Type the physical path to the stream format file, and then click Open. For example, \\servername\directory\filename.asf or C:\pathname\filename.asf. Click OK.

  8. Click Yes to resave the .nsc file.

Related topics

  • Setting up a multicast

  • To create a multicast station on your Windows Media server


Using advanced features

This section explains how to optimize the quality of your encoded content using advanced features and techniques.

Related topics

  • Creating content that is compatible with Windows Media Services 4.1

  • Creating and encoding video content that is compatible with the ISO MPEG-4 standard

  • Running multiple encoders on one computer

  • Controlling the encoder remotely

  • Achieving optimal system performance

  • Applying time compression to your content

  • Capturing uncompressed audio and video files

  • Encoding high-motion content at 60 fps

  • Encoding slide-show content

  • Batch encoding

  • Testing your content

  • Masking Internet protocol addresses


Creating content that is compatible with Windows Media Services 4.1

Generally, it’s best to use the latest codecs when encoding content with Windows Media Encoder version 7. If you need to maintain backward compatibility with Windows Media Services 4.1, use the following codecs when creating or selecting profiles for your encoding configuration:

  • Microsoft Windows Media Audio version 7.0 codec

  • Microsoft MPEG-4 version 3.0 codec

  • Sipro Labs ACELP codec

If you use the latest versions of the codecs when encoding with Windows Media Encoder 7 and attempt to play the content in Windows Media Player version 6.4, you are prompted to download the latest codecs so the player can decompress the encoded content. To download Windows Media Player 7, go to the Windows Media page at the Microsoft Web site

Web addresses can change, so you might be unable to connect to the Web site or sites mentioned here.

Related topics

  • Understanding codecs


Creating and encoding video content that is compatible with the ISO MPEG-4 standard

MPEG-4 is an ISO/IEC standard developed by the Moving Picture Experts Group (MPEG). Many consumer electronics, such as handheld devices and cellular telephones, are designed according to this standard. The ISO MPEG-4 video codec supports the ISO/IEC standard and enables you to encode and play content on any ISO MPEG-4 compatible device.


Running multiple encoders on one computer

You can run multiple instances of Windows Media Encoder on a single computer provided the computer is powerful enough to support them. Each instance of the encoder can support multiple source groups. Running multiple instances of the encoder enables you to:

  • Simultaneously broadcast separate streams at different bit rates.

  • Simultaneously convert multiple files to Windows Media Format.

  • Use a multiple-port device as your source, and then stream the encoded content from each port to different locations.

If you decide to run multiple encoders on one computer, keep in mind that input devices can be used by only one process at a time, so you might want to install several audio and video capture cards. For optimal performance, use a computer with two or more processors.

To start each instance of the encoder, click Start, and then click Programs/Windows Media/Windows Media Encoder.

Related topics

  • Achieving optimal system performance


Controlling the encoder remotely

Windows Media Encoder has a robust automation interface that enables application developers to automate most aspects of the encoder’s functionality. This powerful programmatic capability enables you to develop solutions for remotely administering and controlling one or more encoders over a LAN or the Internet. For example, a radio station with multiple geographically dispersed encoding computers could administer all the encoder feeds from one central location, or a content production facility could control a set of encoding workstations seven days a week, 24 hours a day with a central control system.

A remote administration sample is provided with Windows Media Encoder. The sample is an Active Server Pages (ASP)-based application that demonstrates how you can use the encoder automation interface to perform remote control and administration. Some of the features in the sample include:

  • Enumerating and selecting from a list of encoders running on a remote computer.

  • Starting and stopping encoders remotely.

  • Starting, stopping, and pausing the archiving process remotely.

  • Viewing encoding statistics remotely.

For the remote administration sample to work properly, you should:

  • Install Microsoft Internet Information Services (IIS) on the remote computer or on a computer that is connected to the remote computer.

  • Configure your IIS server to use basic authentication.

  • Install Windows Media Encoder on the remote computer.

  • Copy the remote administration sample files, which are placed in the \Program Files\Windows Media Components\Encoder\RemAdmin folder during the encoder installation process, to a virtual directory on the remote computer.

  • Configure distributed COM (DCOM) on the remote computer.

You can view the ASP pages used to administer the remote computer on any computer that has a browser connected to the network.

Use the links in Related topics to configure basic authentication on your IIS server and DCOM on each of the remote computers. These procedures assume prior knowledge of IIS administration. For more information about IIS, see the IIS online Help.

For more information about installing the remote administration sample, see the “Remote Administration Sample Readme” installed with Windows Media Encoder.

Related topics

  • To set up basic authentication on your IIS server

  • To set up your DCOM configuration


To set up basic authentication on your IIS server

  1. Click Start, and then open the Internet Services Manager MMC.

  2. Create a virtual directory to the remote administration sample directory. By default, the remote administration sample directory is C:\Program Files\Windows Media Components\Encoder\RemAdmin.

  3. Right-click the virtual directory that contains the remote administration sample pages, and then click Properties.

  4. Click the Directory Security tab. In Anonymous access and authentication control, click Edit.

  5. In the Authentication Methods dialog box, clear both the Anonymous access and the Integrated Windows authentication check boxes.

    Note In IIS version 4.0, clear the Allow Anonymous Access and Windows NT Challenge/Response check boxes.

  6. Select Basic authentication (password is sent in clear text), and then click Edit.

  7. In the Basic Authentication Domain dialog box, type or browse for the name of the domain that you want to use to administer the encoders. Click OK. Continue to click OK until you return to the main IIS screen.

Related topics

  • To set up your DCOM configuration

  • Controlling the encoder remotely


To set up your DCOM configuration

  1. Click Start, click Run, type dcomcnfg, and then click OK.

  2. In the Distributed COM Configuration Properties dialog box, click the Applications tab.

  3. Click Windows Media Encoder Agent, and then click Properties.

  4. Click the Security tab.

  5. Click Use custom access permissions, and then click Edit. Add the users you want to allow to administer the encoders on this computer. Click OK.

  6. Click Use custom launch permissions, and then click Edit. Add the users you want to allow to administer the encoders on this computer. Click OK.

  7. Click Use custom configuration permissions, and then click Edit. Add the users you want to allow to administer the encoders on this computer. Click OK.

  8. Click the Identity tab. Click This user, and then type the name and password of the user account that you want to use for encoder administration. Click OK.

  9. Click the Applications tab, click Windows Media Encoder, and then click Properties.

  10. Repeat steps 4 through 8, and then click OK.

Related topics

  • To set up basic authentication on your IIS server

  • Controlling the encoder remotely


Achieving optimal system performance

To achieve optimal system performance:

  • Use a computer with fast or multiple processors. Because high-quality encoding requires more computing power, use a computer with a fast processor or multiple processors, especially for live events. Windows Media Encoder can use up to two processors for audio, and up to four for video to efficiently distribute the encoding load.

  • Use supported audio and video cards. For a complete list of supported cards, see the Microsoft Web site

  • Use Microsoft Windows 2000. Windows 2000 takes full advantage of a multiprocessor computer by automatically spawning separate threads to enable processes to run different parts of their programs on different processors simultaneously. This parsing of the work enables you to perform high-end encoding tasks without maximizing your CPU usage.

  • Check your network bandwidth. It’s rare that you will achieve 100 percent throughput when sending content over a network. For optimal results, ensure that your network can accommodate the aggregate bandwidth required by your selected profile (this information is displayed in Profile Manager) plus overhead for HTTP.

  • Use a high-performance disk drive. For archiving or file conversion, use a high-performance disk drive, such as a small computer system interface (SCSI) drive with 10,000 rotations per minute. Using a high-performance disk drive can help to offload performance requirements from the main CPU, freeing up more processing power for encoding.

  • Turn off video preview. The Input area on the main encoder screen shows you what your content looks like before it is encoded. Turning off this preview can improve encoding performance slightly. To turn off the preview from the main encoder screen, in Display, click Output.


Applying time compression to your content

Applying time compression to your content while it is encoding enables you to speed up or slow down the content during playback. Speeding up the content reduces the amount of time required to view the entire video or listen to the entire audio file and can be useful when you have to fit content into a specific time slot. Slowing down the content can improve comprehension in situations where the material is highly technical or the language is not native to you.

Windows Media Encoder has two time compression features that can be used independently of one another or in tandem:

  • Accelerating or decelerating the audio and video frames. Accelerating and decelerating have no effect on the pitch of the audio stream.

  • Detecting and removing pauses in speech or action. Periods of silence are removed from the audio, and frames are removed from the video. If you elect to create a log file, the start and end times of the segments that are removed are listed in the log file so you have a permanent record.

Before using time compression, make sure you start with audio and video that is the best quality possible. Artifacts or noise in the source content, especially in the audio, will be more pronounced when the content is accelerated. Noise in the source content also decreases the accuracy of pause removal.

Always test your content to ensure that you achieve the desired results. To run a test, encode some content using time compression and then play it back. If the results are unsatisfactory, adjust the time compression settings, and then encode the content again.

The time compression feature is not available for live broadcast scenarios and should not be used in conjunction with video optimization features (inverse telecine and deinterlace). Also, when you use time compression with file-based content, your content will only be played through once during the encoding session. Looping in conjunction with time compression is not supported.

Related topics

  • Understanding looping

  • To accelerate or decelerate the audio and video frames

  • To remove pauses from the content


To accelerate or decelerate the audio and video frames

  1. Using the New Session Wizard, set up a capture or file conversion session.

  2. On the Session menu, click Properties.

  3. Click the Advanced tab, click On to enable time compression, and then click Properties.

  4. Move the slider to adjust the amount of acceleration applied to your content. You can decelerate up to 50 percent or accelerate up to 250 percent.

  5. Click OK.

Related topics

  • Applying time compression to your content


To remove pauses from the content

  1. Using the New Session Wizard, set up a capture or file conversion session.

  2. On the Session menu, click Properties.

  3. Click the Advanced tab, click On to enable time compression, and then click Properties.

  4. Click Enable pause removal.

  5. If you want to create a log file that will list the segments that are removed with a time stamp, click Options, and then type or browse for a log file name. Click OK.

  6. Click OK.

Related topics

  • Applying time compression to your content


Capturing uncompressed audio and video files

Until recently, it was not possible to encode uncompressed files that were larger than 2 gigabytes (GB). This limitation made it difficult to capture or archive high-quality content. Windows Media Encoder now enables you to create uncompressed profiles that support the capture and archive of high-quality content. When used in conjunction with the NTFS file system, the archive can remain intact and be used as a high-quality source for future encoding sessions. (The NTFS file system is only available on Windows NT® and Windows 2000 operating systems.)

Note The FAT32 file system has a file size limit of 4 GB. If you expect your content to exceed 4 GB, you should reconfigure your drive to use NTFS.

When you capture uncompressed content from a device, such as a camera or VCR, the resulting video is created in the Intel YUV format (also known as YV12), regardless of the pixel format specified on the device or in the profile. The Windows Media Video codec is optimized for YUV, making it the preferred format for quality, size, and performance. The resulting audio is created in the pulse code modulation (PCM) format.

For best results when capturing uncompressed content:

  • Use a fast hard disk drive that can accommodate encoding at high bit rates.

  • Use 15 fps when capturing 640 x 480 resolution.

  • Use 30 fps when capturing 320 x 240 resolution.

To capture uncompressed audio and video files, set up an encoding session using an uncompressed profile. System profiles are not provided for capturing uncompressed content, so you must use Profile Manager to create them.

Related topics

  • Setting up a session using the New Session Wizard

  • To create a profile for encoding uncompressed content


To create a profile for encoding uncompressed content

  1. On the Tools menu, click Manage Profiles, and then click New.

    -or-

    In the New Session Wizard, on the Profile Selection page, click Create and Manage Profiles, and then click New.

  2. In Name, type a name for the profile.

  3. Click Video, click Script (optional), and then click Uncompressed.

  4. In Description, type a description for the profile (optional), and then click Next.

  5. In Audio, select None (PCM).

  6. In Video, select Full Frames (Uncompressed), and then click Next.

  7. Review the settings, and then click Finish.


Encoding high-motion content at 60 fps

Windows Media Encoder contains several high-motion profiles that enable you to encode high-motion content, such as a sporting event, at 60 fps. High-motion content is content that contains a lot of movement but few scene changes. (This feature is not available for PAL content.)

To produce content at 60 fps, begin with a source that is interlaced at full-height resolution; full height for NTSC is 480 pixels. The resolution must be full height so the encoder can capture all the interleaved fields.

During the encoding process, you deinterlace the content to produce two half-height 30 fps frames that are joined together into a single frame and played at 60 fps.

Related topics

  • To encode high-motion content


To encode high-motion content

  1. Using the New Session Wizard, create a session.

  2. When prompted to choose a profile, select one that is designed for high motion. The system high-motion profiles say High motion in the title.

  3. Complete the wizard.

  4. On the Session menu, click Properties.

  5. Click the Sources tab, select the source that you want to encode at 60 fps, and then click Change.

  6. Click the Video Optimization tab, click Deinterlace, and then click OK.

  7. Click OK again to close the Session Properties dialog box.

  8. Click Start when you are ready to start encoding.

Related topics

  • Setting up a session using the New Session Wizard


Encoding slide-show content

Slide-show content consists of large, clear images that are displayed at a low frame rate. You can create slide-show content when the size and quality of the images is more important than the smoothness of the stream. For example, images from a surveillance camera need to be large and clear enough to show you exactly what’s going on in the scene, but you can only achieve this clarity at a low frame rate.

The key to setting up a slide-show encoding session is creating the right profile. Slide-show profiles are not included with the system profiles in Profile Manager so you must create your own. Once you create a profile, configure your session to use that profile. You can encode the slide-show content as you would encode any other type of content.

Related topics

  • To create a slide-show profile


To create a slide-show profile

  1. On the Tools menu, click Manage Profiles, and then click New.

    -or-

    In the New Session Wizard, on the Profile Selection page, click Create and Manage Profiles, and then click New.

  2. In Name, type a name for the profile.

  3. Click Video, and then click Compressed.

  4. In Description, type a description for the profile (optional), and then click Next.

  5. In Audio, select the Windows Media Audio codec and a low bit rate such as 0 or 5 Kbps.

  6. In Video, select the Windows Media Video codec and a large video size, and then click Advanced.

  7. In Buffer size, click Custom, and then type 10. Click OK, and then click Next.

  8. In Frame rate, type 1. In Key frame interval, type 10. In Image quality, type 100, and then click Next.

  9. Review the settings, and then click Finish.

Related topics

  • Encoding slide-show content

  • Encoding content

  • Setting up an encoding session


Batch encoding

Using a script and Windows Script Host, you can automate Windows Media Encoder to encode multiple audio and video files. Windows Script Host works with any Microsoft ActiveX scripting engine to read and interpret scripts and is installed with Windows 2000.

For more information about Windows Script Host and batch encoding, see the Windows Media Encoder SDK.


Testing your content

It is always a good idea to test your content before providing it to users. You can test your content on both a player and end-to-end.

To run a test, configure a session, and then encode some content. While the content is encoding, use the URL specified on the Connections tab of the encoder’s Monitor panel to connect the player to the encoder and view the stream.

For an end-to-end test, set up your Windows Media server to connect to the encoder using the URL specified on the Connections tab of the encoder’s Monitor panel.

As you view the stream, verify the following:

  • You are getting the expected frame rate.

  • Your bandwidth throughput is acceptable.

  • You are receiving an audio and video feed and the quality of each is acceptable.

If you are unable to connect to the encoder, verify that:

  • You are using the correct URL to connect.

  • You generated a stream format file and loaded it on your server.

  • You saved the new .nsc file.

For more information about streaming from a Windows Media server, see Windows Media Services Help.

Related topics

  • Setting up an encoding session

  • Encoding content

  • Setting up a multicast

  • About the Monitor panel


Masking Internet protocol addresses

Windows Media Encoder supports the use of Internet Protocol (IP) masks. These masks enable you to specify individual IP addresses or sets of IP addresses that should have access to the encoder. You can also specify those IP addresses that should be denied access to the encoder.

This access information is stored in two registry keys, and you will use the Registry Editor to update the keys with specific IP addresses. The registry keys are:

  • HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\NetShow\AccessLists\AllowDistributionList

  • HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\NetShow\AccessLists\DisallowDistributionList

If you add the same IP addresses to both keys, then the DisallowDistributionList key will take precedence and access will be denied. If these keys are not listed in your registry, then you can use the Edit menu to add them.

Your ability to make changes to the registry by using Registry Editor depends on your access permissions. Incorrectly editing the registry can severely damage your system. Before making changes to the registry, back up any valued data on the computer.

Related topics

  • To add a registry key

  • To add an IP address to an access list

  • To specify a range of IP addresses in an access list


To add a registry key

  1. Start Registry Editor (Click Start, click Run, and then type regedit).

  2. Double-click the registry list to which you want to add a new key, and then click the key above the location you want for the new key.

  3. On the Edit menu, point to New, and then click Key.

  4. Type a name for the new key, such as AccessLists, and then press Enter.

Related topics

  • To add an IP address to an access list

  • To specify a range of IP addresses in an access list

  • Masking Internet protocol addresses


To add an IP address to an access list

  1. Start Registry Editor (Click Start, click Run, and then type regedit).

  2. In Registry Editor, use the tree view to navigate through the following path: HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\NetShow\AccessLists. If this key is not listed, then use the Edit menu to add it.

  3. Click AllowDistribution to include specific IP addresses; click DisallowDistribution to exclude specific IP addresses. If these keys are not listed, then use the Edit menu to add them.

  4. On the Edit menu, point to New, and click String Value.

  5. Type the value of the IP address you want to add to the list in the Name column, and then press Enter.

Related topics:

  • To add a registry key

  • To specify a range of IP addresses in an access list

  • Masking Internet protocol addresses


To specify a range of IP addresses in an access list

  1. Start Registry Editor (Click Start, click Run, and then type regedit).

  2. In Registry Editor, use the tree view to navigate through the following path: HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\NetShow\AccessLists. If this key is not listed, then use the Edit menu to add it.

  3. Click AllowDistribution to include a set of IP addresses; click DisallowDistribution to exclude specific IP addresses. If these keys are not listed, then use the Edit menu to add them.

  4. In the Name column, click the IP address.

  5. On the Edit menu, click Modify to display the Edit String dialog box.

  6. In Value Data, type the mask value. The mask value is added to the Data column.

    Note Like an IP address, the mask is a 32-bit value. To set a range of addresses, each bit in the mask is compared to the corresponding bit in the IP address. Where the value in the mask is 1, the corresponding bit in the IP address is included in the list. Where the value in the mask is 0, any value is acceptable. For example, in decimal notation, if the IP address in the list is 134.123.123.20 and the mask is 255.255.255.0, all IP addresses from 134.123.123.0 to 134.123.123.255 are included in the list. If the mask is 255.255.255.128, all IP addresses from 134.123.123.0 to 134.123.123.127 are included in the list. If you specify an invalid mask, then the IP address is ignored. If you leave the IP mask blank, then it is considered to be 255.255.255.255.

    Your ability to make changes to the registry by using Registry Editor depends on your access permissions. Incorrectly editing the registry can severely damage your system. Before making changes to the registry, back up any valued data on the computer.

Related topics

  • To add a registry key

  • To add an IP address to an access list

  • Masking Internet protocol addresses


Frequently asked questions

For up-to-date information about the encoder, see the Windows Media page at the Microsoft Web site.


Accessibility for people with disabilities

Microsoft is committed to making its products and services easier for everyone to use. The following topics provide information about the features and products and services that make Microsoft Windows more accessible for people with disabilities:

  • Customizing Windows, Windows NT, or Windows 2000

  • Microsoft services for people who are deaf or hard-of-hearing

  • Microsoft documentation in alternative formats

  • Utilities to enhance accessibility

  • Getting more accessibility information

Note The information in this topic applies only to users who license Microsoft products in the United States. If you obtained this product outside the United States, your package contains a subsidiary information card listing Microsoft support services telephone numbers and addresses. You can contact your subsidiary to find out whether the type of products and services described in this topic are available in your area.


Customizing Windows, Windows NT, or Windows 2000

There are many ways you can customize Windows, or Windows NT to make your computer more accessible.

  • Accessibility features have been built into Windows, Windows NT, or Windows 2000 since the introduction of Windows 95. These features are useful for individuals who have difficulty typing or using a mouse, have moderately impaired vision, or who are deaf or hard-of-hearing. The features can be installed during setup, or you can add them later from your Windows installation disks.

  • For information about installing and using these features, look up “accessibility” in the Windows Help Index.

  • Some of the accessibility features built into Windows, Windows NT, or and Windows 2000 can be added to earlier versions of those products, and to MS-DOS, through Access Pack files. You can download these files or you can order them on disks from Microsoft. (See details in “Accessibility Notes and Utilities to Download” later in this appendix.)

  • You also can use Control Panel and other built-in features to adjust the appearance and behavior of Windows or Windows NT to suit varying vision and motor abilities. These include adjusting colors and sizes, sound volume, and the behavior of the mouse and keyboard.

  • In Windows 98, the majority of accessibility settings can be set through the Accessibility Wizard or Control Panel. The Accessibility Wizard presents features sorted by disability, making it easy to customize Windows to each individual’s needs. The Accessibility Wizard also enables you to save your settings to a file that can be used on another computer.

  • Dvorak keyboard layouts make the most frequently typed characters on a keyboard more accessible if you have difficulty using the standard QWERTY layout. There are three Dvorak layouts: one if you are a two-handed user, one if you type with your left hand only, and one if you type with your right hand only. You do not need to purchase any special equipment to use these features.

The specific features available, and whether they are built-in or must be obtained separately, depend on which operating system you are using.

For full documentation on the accessibility features available in the operating system you are using, obtain the documents listed below. Accessibility features are also documented in the Microsoft Windows 95 Resource Kit, the Microsoft Windows 98 Resource Kit and the Microsoft Windows NT Resource Kit.


Accessibility notes and utilities to download

The following documents explain how to customize Microsoft Windows and Windows NT for users with disabilities. Specific instructions for downloading the files immediately follow this list.

For | You need
Customizing Windows for Individuals with Disabilities (describes all of the other documents in this list and includes links to download them; this article will be updated when new versions of Microsoft operating systems are released) | Microsoft Knowledge Base article Q165486.
Customizing Microsoft Windows 95 for individuals with disabilities | Cst_W95.exe
Customizing Microsoft Windows NT 4.0 for individuals with disabilities | Cst_NT4.exe
Customizing Microsoft Windows NT 3.1 and 3.5 for individuals with disabilities (includes Access Pack for Microsoft Windows NT, which provides features for people who have difficulty using a keyboard or mouse, or who are deaf or hard-of-hearing) | Cst_NT3x.exe
Customizing Microsoft Windows 3.1 for individuals with disabilities | Cst_W3x.exe
Customizing Microsoft Windows for Workgroups 3.1 for individuals with disabilities | Cst_WG3x.exe
Customizing Microsoft Windows 3.0 for individuals with disabilities | Cst_W30.exe
Access Pack for Microsoft Windows 3.0 and 3.1, which provides features for people who have difficulty using a keyboard or mouse, or who are deaf or hard-of-hearing | ACCP.EXE
Dvorak keyboard layouts for people who type with one hand (already included in Windows NT version 3.5 and later) | GA0650.EXE


To download the files

If you have a modem or another type of network connection, you can download the accessibility files from the following network services:

  • Microsoft Accessibility Web site

  • Microsoft Technical Support Web site. In the My search is about list, select All Microsoft Products. In the I want to search by list, select Specific article ID number, and then enter Q165486 in the box labeled My question is. The search results will display a link to the Knowledge Base article, "Customizing Windows for Individuals with Disabilities," which includes links to all of the documents listed above about customizing Windows operating systems.

  • Microsoft Internet server at ftp.microsoft.com, in /softlib/mslfiles.

Web addresses can change, so you might be unable to connect to the Web site or sites mentioned here.


Microsoft services for people who are deaf or hard-of-hearing

If you are deaf or hard-of-hearing, complete access to Microsoft product and customer services is available through a text telephone (TT/TDD) service.


Customer service

You can contact Microsoft Sales Information Center on a text telephone by dialing (800) 892-5234 between 6:30 AM and 5:30 PM Pacific time.


Technical assistance

For technical assistance in the United States, you can contact Microsoft Support Network on a text telephone at (425) 635-4948 between 6:00 AM and 6:00 PM Pacific time, Monday through Friday, excluding holidays. In Canada, dial (905) 568-9641 between 8:00 AM and 8:00 PM Eastern time, Monday through Friday, excluding holidays. Microsoft support services are subject to Microsoft prices, terms, and conditions in place at the time the service is used.


Microsoft documentation in alternative formats

In addition to the standard forms of documentation, many Microsoft products are also available in other formats to make them more accessible. If you have difficulty reading or handling printed documentation, you can obtain many Microsoft publications from Recording for the Blind & Dyslexic, Inc. RFB&D distributes these documents to registered, eligible members of their distribution service, either on audio cassettes or on floppy disks. The RFB&D collection contains more than 80,000 titles, including Microsoft product documentation and books from Microsoft Press. You can download many of these books from the Microsoft Accessibility Web site.

For more information, contact Recording for the Blind & Dyslexic at the following address or phone numbers:

Recording for the Blind & Dyslexic, Inc.
20 Roszel Road
Princeton, NJ 08540

Phone: (609) 452-0606
Fax: (609) 987-8116

Recording for the Blind & Dyslexic Web site

Web addresses can change, so you might be unable to connect to the Web site or sites mentioned here.


Utilities to enhance accessibility

A wide variety of hardware and software products are available to make personal computers easier to use for people with disabilities. Among the different types of products available for the MS-DOS, Windows, Window NT operating systems are:

  • Programs that enlarge or alter the color of information on the screen for people with visual impairments

  • Programs that describe information on the screen in Braille or synthesized speech for people who are blind or have difficulty reading

  • Hardware and software utilities that modify the behavior of the mouse and keyboard

  • Programs that enable people to “type” using a mouse or their voice

  • Word or phrase prediction software that enables users to type more quickly and with fewer keystrokes

  • Alternative input devices, such as single switch or puff-and-sip devices, for people who cannot use a mouse or a keyboard


Getting more accessibility information

In addition to the features and resources already described in this topic, other products, services, and resources for people with disabilities are available from Microsoft and other organizations.


Microsoft

Microsoft provides a catalog of accessibility aids that can be used with the Windows and Windows NT operating systems. You can obtain this catalog from our Web site or by phone:

Microsoft Sales Information Center
One Microsoft Way
Redmond, WA 98052-6393
Voice telephone: (800) 426-9400
Text telephone: (800) 892-5234

Microsoft Accessibility Web site

Web addresses can change, so you might be unable to connect to the Web site or sites mentioned here.


Macintosh Disability Solutions

For more information on products and services for the Macintosh for people with disabilities, contact:

Macintosh Disability Solutions Web site

Web addresses can change, so you might be unable to connect to the Web site or sites mentioned here.


Trace R&D Center

The Trace R&D Center at the University of Wisconsin-Madison publishes a database of more than 18,000 products and other information for people with disabilities. The database is available on their site on the World Wide Web. The Trace R&D Center also publishes a book, titled Trace ResourceBook, which provides descriptions and photographs of about 2,000 products.

To obtain these directories, contact:

Trace R&D Center
University of Wisconsin–Madison
5901 Research Park Boulevard
Madison, WI 53719-1252
Fax: (608) 262-8848

Trace Research & Development Center Web site

Web addresses can change, so you might be unable to connect to the Web site or sites mentioned here.


Windows Media Encoder glossary

This glossary defines terms used in the Windows Media Encoder. In addition to Windows Media Encoder terms, Microsoft Windows Media Technologies and other common industry terms are also defined.

To find a term in the glossary, click the letter of the alphabet that is the first letter in the term you want to look up.

You can also read glossary terms within the text of Help by clicking the underlined glossary term links. After you click a glossary link, the glossary term and definition appear in a pop-up window. To close the window, click anywhere on the screen.

A | B | C | D | E | F | G | H | I | J | K | L | M
N | O | P | Q | R | S | T | U | V | W | X | Y | Z


Glossary

To find a term in the glossary, click the letter of the alphabet that is the first letter in the term you want to look up.

A | B | C | D | E | F | G | H | I | J | K | L | M
N | O | P | Q | R | S | T | U | V | W | X | Y | Z

B

bandwidth

The data transfer capacity of a digital communications system, such as the Internet or a LAN. Bandwidth is usually expressed in the number of bits that a system is capable of transferring in a second: bits per second (bps). High bandwidth or broadband refers to a network capable of a fast data transfer rate.

bit rate

The speed at which digital audio and video content is streamed from a source, such as a file, to be rendered properly by a player, or the speed at which binary content in general is streamed on a network. Bit rate is usually measured in kilobits per second (Kbps), for example, 28.8 Kbps. The bit rate of a Windows Media file or live stream is determined during the encoding process, when the streaming content is created. Bandwidth is the total bit rate capacity of a network. For audio and video content to render properly when streaming over a network, the bandwidth of the network must be high enough to accommodate the bit rates of all the different content that is concurrently being streamed.

C

CD quality

Audio that is encoded by using uncompressed PCM at 44.1 kHz and 16 bit stereo. A CD and an audio stream encoded at CD quality sound identical.

caption

Text that accompanies an image or video stream.

codec

Abbreviation for compressor/decompressor. An algorithm or scheme used when recording digital video or audio. A codec is used, for example, when video is transmitted over the Internet; the video is compressed on the sending end and decompressed on the receiving end. Users can select a codec based on the audio or image quality, and image size preferred.

compression

The coding of data to reduce file size or the bit rate of a stream. Content that has been compressed must be decompressed for playback. A codec contains the algorithms for compressing and decompressing audio and video.

content

Data that an encoder or server streams to a client or clients. Content can originate from live audio or live video presentation, stored audio or video files, still images, or slide shows. The content must be translated from its original state into a Windows Media format before a Windows Media server can stream it. Windows Media servers can stream live streams or stored Window Media files as content.

D

deinterlace

To combine two interlaced fields into a single frame and render them at 30 frames per second (fps). Deinterlacing is done to remove artifacts and improve the quality of encoded video.

delta frame

Frames that contain only the changes from the previous frame.

E

encode

To convert information into a specified digital format for convenient storage and retrieval by using computer technology, usually involving compression technology and encryption technology.

I

intelligent streaming

A type of streaming that detects network conditions and adjusts the properties of a video or audio stream to maximize quality. Intelligent streaming is only available for content encoded using a multiple bit rate profile.

interlace

To display video by using a half-resolution image known as a field. Interlaced video uses two video fields to make a single frame of video. Each field of video contains alternating lines of an image: field one displays the odd numbered lines and field two displays the even numbered lines. Interlacing saves bandwidth when the video is transmitted over the airways or on cable.

inverse telecine

The process that intelligently removes the frames that were added when 24 fps film was converted to 30 fps video.

ISO MPEG-4 video codec version 1.0

A type of codec based on the ISO MPEG-4 standard. It enables you to encode content produced by many consumer electronics devices, such as digital video cameras and cell phones.

L

looping

The process in which file-based content is played repeatedly until encoding is completed. Looping ensures that you have no interruption in the stream as a result of reaching the end of a file before completing a broadcast or capture session.

lossless compression

Data compression techniques in which no data is lost.

lossy compression

Refers to data compression techniques in which some amount of data is lost. Lossy compression technologies attempt to eliminate redundant or unnecessary information.

M

Media Stream Broadcast Distribution protocol

A protocol used to reference Windows Media Encoder, which is the source of a stream. Used when streaming from the Windows Media Station service to a content-storage server or for server-to-server distribution. Do not use the MSBD protocol over a firewall.

Microsoft MPEG-4 version 3 codec

A video codec included with Microsoft Windows Media Encoder version 4.0.

Microsoft Windows Media Audio codec version 7.0

A codec used to encode most audio streams. It is best used for Internet narrowband streaming and high-fidelity downloadable music.

Microsoft Windows Media Screen codec version 7.0

A codec that enables lossless streaming of computer screen images at data rates as low as 15 Kbps for on-demand training, software demos, and helpdesk applications. It is well suited for capturing screens in productivity applications, such as Microsoft Word, Excel, and Visual Studio. This screen capture codec is included with Windows Media Player 7.

Microsoft Windows Media Video codec version 7.0

A codec that supports a wide variety of network bandwidths and enhances video quality for broadband Internet users. It supports multiple bit rate profiles and can be used to deliver TV-quality compression at 700 Kbps.

MSBD

See Media Stream Broadcast Distribution protocol

multicast

A one-to-many connection in which multiple clients can receive the same stream from a server. To receive a multicast, a client must have access to a multicast-enabled network. In contrast, a unicast is a one-to-one connection in which one client receives a distinct stream from a server.

multicast station

A defined location from which a player can receive streams. In effect, it is an IP address and a port. Windows Media server components use stations with Windows Media streams only and save station information as a Windows Media file with an .nsc extension.

multiple bit rate video

A feature of Windows Media Technologies that supports the creating and streaming of multiple encoded video streams within one Windows Media stream. By using multiple bit rate video in Windows Media Encoder, you can create Windows Media-based content that has a variety of video streams at variable bandwidths ranging from 28.8 Kbps through 300 Kbps, as well as a separate audio stream. After receiving this multiple encoded stream, the server determines which bandwidth to stream based on the network bandwidth available. Multiple bit rate video is not supported on generic HTTP servers.

N

National Television Standards Committee

The standards body that is responsible for setting television and video standards in the United States. The NTSC standard for television defines a composite video signal with a refresh rate of 60 half-frames (interlaced) per second. Each frame contains 525 lines and can contain 16 million different colors.

NTSC

See National Television Standards Committee

NTFS

An advanced file system designed for use specifically within the Windows 2000 operating system. It supports file system recovery, extremely large storage media, and long file names. It also supports object-oriented applications by treating all files as objects with user-defined and system-defined attributes.

P

PAL

See Phase Alternating Line

.prx

The file name extension that indicates a custom profile you have created by using Profile Manager. See also profile.

Phase Alternating Line

The dominant television standard in Europe. Whereas The NTSC, the U.S. standard, delivers 525 lines of resolution at 60 half-frames per second, PAL delivers 625 lines at 50 half-frames per second. See also NTSC.

pixel format

The color depth of an image, usually measured in RGB or YUV.

profile

A predefined group of settings that match content type and bit rate with appropriate audio and video codecs.

Profile Manager

A component of Windows Media Encoder that creates and edits the encoding profiles needed to identify the appropriate codec, the multimedia input streams, and the number and bit rate of the encoded output streams.

pulse code modulation

A sampling technique for digitizing analog signals, especially audio signals. When you encode audio by using PCM, no compression is applied.

R

RGB

A color model that describes color information in terms of the red (R), green (G), and blue (B) intensities that make up the color.

S

script

A caption, URL, or custom script command that is inserted into a stream during an encoding session. The caption is displayed on Windows Media Player during playback of the encoded content. The URL causes the browser to open to the specified Web page. The custom script command sends notification of an event, such as launching a Web page with an embedded player. See also caption.

Sipro Labs ACELP codec

A type of codec that provides excellent voice compression at low bit rates. This codec comes with several audio formats depending on the network bandwidth you choose.

source

The type of content that Windows Media Encoder can encode: audio, video, or script. Audio and video content is captured from a card installed on your computer or from a file that was converted to Windows Media Format. Scripts are typed directly from the encoder user interface during an encoding session.

source group

Audio, video, and scripts that are encoded into a stream and played in Windows Media Player.

stream

Data transmitted across a network and any properties associated with the data. Streaming data enables the player to begin rendering the data immediately instead of waiting for the entire file to be downloaded.

stream format file

A file used by Windows Media Player to decode a multicast Windows Media format stream. A stream format file includes information about the stream, the media that the stream contains, and its codec.

T

target bandwidths

The number of bits that are transferred to users based on the speed of their network connections.

telecine

The film-to-video conversion system that adds frames to video to compensate for the differences in frame rates between film and video. When converting 24 fps film to 30 fps NTSC video, an additional 6 frames per second are added.

time-to-live

In multicasting, a value that defines the number of routers through which a multicast can pass before a router stops forwarding the multicast.

TTL

See time-to-live

U

UDP

See User Datagram Protocol

unicast

A one-to-one client/server connection during which the client receives a distinct stream from the server. No other client has access to the stream. Each client has its own connection to the server and a separate content stream must be generated for each client requesting content from the server.

User Datagram Protocol

A communication protocol that sends a data unit or datagram from one computer to another. It does not sequence the packets that the data arrives in, but it does provide a checksum capability to verify that the data arrived intact.

W

.wme

The file name extension that identifies the Windows Media Encoder configuration file created when you set up an encoding session.

Windows Media file

A file created by Windows Media Technologies, which contains audio, video, or script data that is stored in Windows Media Format. It is highly optimized for streaming. This file can be streamed by Windows Media server and played by Windows Media Player.

Windows Media Format

The format used by Microsoft Windows Media Technologies (or a third party product that incorporates a licensed Windows Media technology) to author, store, edit, distribute, stream, or play timeline-based content.

Y

YUV

A color model that describes color information in terms of luminance (Y) and chrominance (U, V).


Legal Notice

Information in this document, including URL and other Internet Web site references, is subject to change without notice. Unless otherwise noted, the example companies, organizations, products, people and events depicted herein are fictitious and no association with any real company, organization, product, person or event is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

© 2000 Microsoft Corporation. All rights reserved.

Microsoft, MS-DOS, Windows, Windows Media, Windows NT, ActiveSync, ActiveX, DirectDraw, DirectShow, FrontPage, JScript, Microsoft Press, NetShow, Outlook, PowerPoint, SQL Server, Visual Basic, Visual C++, Visual InterDev, Visual J++, Visual Studio, Win32, and Win32s are either registered trademarks or trademarks of Microsoft Corporation in the U.S.A. and/or other countries.

The names of actual companies and products mentioned herein may be the trademarks of their respective owners.

This software is based in part on the work of the Independent JPEG Group.


Changing the device configuration

Any devices you are using in the current session are listed here, except for screen capture. If you have devices installed on your computer, but are not using them in the current session, they are not displayed. You can use devices only once per session.

Select the device that you want to configure, and then click Configure. The properties that you can configure depend on the brand of device you are using. Edit the properties as necessary.

To configure screen capture properties on the Session menu, click Properties, select the appropriate screen capture source, and then click Change.


Monitoring connection status

The Connections tab lists the IP addresses of all clients currently connected to the encoder during a unicast session.

Use the Copy Internet URL and Copy LAN URL buttons to copy the IP address or LAN URL of the encoding computer to Windows Media Player. The player uses the URL to connect to the encoder so you can test the stream.


Monitoring encoding statistics

The Monitor panel contains information about your encoding session, including real-time statistics that keep you informed about the progress of the session. Statistics include:

Media bit rate. Minimum bandwidth required to effectively stream the video, audio, and script sources.

Expected fps. Frame rate specified in your profile.

Current fps. Frame rate achieved during this encoding session.

CPU load. Percentage of your CPU resources used for this encoding session.

Disk space left. Amount of space remaining on your hard disk drive. This statistic is important to monitor if archiving.

Disk time left. Amount of time remaining until your hard disk drive is full.


Selecting the user interface language

Select the desired user interface language from the list of installed languages. When you select Regional Options, the encoder user interface matches all other applications currently installed on your computer. Selecting a different language affects the number, time, and currency formats used by the encoder but does not affect any other application available on your computer.

Related Topics

  • Changing the language setting


Setting display options

This topic lists the options that affect appearance of the main window of the encoder. Many of the options are selected by default, but you can change them as necessary to suit your needs.

Automatically show panels needed for the current session. The panels that are displayed to you in the main encoder window are based on the selections you make when running New Session Wizard. Clear this option if you want to select the panels that are displayed.

Resize main window when video is zoomed too large. Enlarging the Input and Output displays in the main encoder window causes the window to resize to accommodate the enlarged displays. Clearing this option causes the displays to be partially obscured. This option has no effect on the encoded size of the image.

Flash Start button if encoding is not started by New Session Wizard. The Start button on the Windows Media Encoder flashes for three seconds after you configure a session unless you clear this option.

Minimize during screen capture session, then stop on restore. The encoder main window minimizes automatically when you are capturing a screen to a file. Restoring the window to its regular size stops the encoder. The screen does not minimize during a screen capture broadcast, even if you select this option.

Warn before stopping encoding. Select this option if you want a warning message to appear each time you stop the encoder.

Show Welcome dialog box on startup. Select this option if you want to see the dialog box at the beginning of the session that asks you whether to start a new session with the New Session Wizard, open an existing session, or open a recently used session.

Show results dialog box when encoding finishes. Select this option to automatically see the Results dialog box when your encoding session is complete. If you clear this option, you can see the Results dialog box by clicking Encoding Results on the View menu.

Show all tips. By default, tips are shown only the first time you use a feature during an encoding session. Click this button to show them again.


Viewing display information

You can view the information that displays in the encoder and in Windows Media Player when content is played, which includes title, author, copyright, rating, and description. Display information is optional but is useful for describing the content being encoded.

To view display information from the encoder, on the Monitor panel, click the Display Information tab.


Viewing encoding results

You can view a summary of your encoding session on this page. It includes the type of encoding (broadcast, capture, or conversion), selected devices, expected bit rates, and average bit rates achieved. It gives you immediate feedback on how the session went and can be useful for testing purposes. For example, after reviewing the average bit rate for an encoding session you might decide to change the selected profile. You could change the session configuration, encode the content again, and then view the summary results to determine whether you achieved the desired bit rate.

Sources used. Lists all of the individual sources, including devices or files that you used during a session. Sources are not listed for source groups that you don’t use.

Output files. Lists the number of files created during the session.

This page also includes full-stream and per-stream statistics for the average bit rate and frames per second (fps) achieved.

Related Topics

Understanding profiles


Viewing the error log

If you received error messages during the encoding session, they are listed here along with the date and time that they occurred. To clear the log manually, click Clear Now. The error log is cleared each time you restart the encoder and is only available from the encoder user interface.